New plist and buh-bye to install/deinstall for GNOME 2.

This commit is contained in:
marcm 2004-09-15 04:12:55 +00:00
parent 79c9613eca
commit 9793164320
28 changed files with 712 additions and 1125 deletions

View File

@ -1,4 +1,4 @@
# $OpenBSD: Makefile,v 1.13 2004/08/10 10:56:42 xsa Exp $
# $OpenBSD: Makefile,v 1.14 2004/09/15 04:12:55 marcm Exp $
COMMENT= "applets for use with the GNOME panel"
COMMENT-battstat= "GNOME applet for monitoring battery level"
@ -24,7 +24,8 @@ PERMIT_DISTFILES_FTP= Yes
MODULES= devel/gettext
BUILD_DEPENDS= :pkgconfig-*:devel/pkgconfig \
:scrollkeeper-*:textproc/scrollkeeper
:scrollkeeper-*:textproc/scrollkeeper \
:p5-XML-Parser-*:textproc/p5-XML-Parser
RUN_DEPENDS= :scrollkeeper-*:textproc/scrollkeeper
LIB_DEPENDS= panel-applet-2.0::x11/gnome/panel \
gailutil.17::x11/gnome/gail \

View File

@ -1,53 +0,0 @@
#!/bin/sh
#
# $OpenBSD: DEINSTALL,v 1.1 2003/12/01 04:13:05 marcm Exp $
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
FILES='
sound/events/mailcheck.soundlist
'
do_notice()
{
echo
echo "+--------------- $1"
echo "| To really remove $1 from your system you should also"
echo "| remove the configuration files from the ${CONFDIR} directory."
echo "| Remove the directories in which the files reside as well if empty."
echo "| If you are planning on installing $1 again in the future"
echo "| you can leave it as it is."
echo "|"
echo "| FYI, the following configuration files belongs to this package:"
echo "|"
for f in ${FILES}; do
echo "| ${SYSCONFDIR}/$f"
done
echo "+--------------- $1"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ "$PKG_DELETE_EXTRA" != Yes ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

View File

@ -1,98 +0,0 @@
#!/bin/sh
#
# $OpenBSD: INSTALL,v 1.1 2003/12/01 04:13:05 marcm Exp $
P_NAME=gnome-applets2
DIRS='
sound/events
'
FILES='
sound/events/mailcheck.soundlist
'
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
do_post() {
echo
echo "+--------------- ${P_NAME}"
DEST_PFX=${CONFDIR}
SOURCE_PFX=${PREFIX}/share/examples/${P_NAME}
# install dirs if neccesary
for d in ${DIRS}; do
if [ ! -d "${DEST_PFX}/$d" ]; then
install -d ${DEST_PFX}/$d
fi
done
# install or take note of existing config files
for f in ${FILES}; do
if [ -f "${DEST_PFX}/$f" ]; then
OLD_CONFS="${OLD_CONFS} $f"
else
if ! install -m 644 ${SOURCE_PFX}/$f ${DEST_PFX}/$f; then
echo "| ERROR: The following file could not be installed, exiting: ${DEST_PFX}/$f"
exit 1
fi
NEW_CONFS="${NEW_CONFS} $f"
fi
done
# print status report
if [ -n "${NEW_CONFS}" ]; then
echo "| The following NEW configuration files have been installed:"
echo "|"
for f in ${NEW_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
fi
if [ -n "${OLD_CONFS}" ]; then
if [ -n "${NEW_CONFS}" ]; then
echo "|"
fi
echo "| The following OLD configuration files ware found and have NOT been"
echo "| overwritten:"
echo "|"
for f in ${OLD_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
echo "|"
echo "| You should however manually compare them to their equivalents in "
echo "|"
echo "| ${SOURCE_PFX}"
echo "|"
echo "| and update your configuration if needed."
fi
echo "+--------------- ${P_NAME}"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
;;
POST-INSTALL)
do_post
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,10 +1,12 @@
@comment $OpenBSD: PLIST,v 1.12 2004/08/01 06:12:42 marcm Exp $
@comment $OpenBSD: PLIST,v 1.13 2004/09/15 04:12:55 marcm Exp $
bin/gkb_xmmap
bin/gnome-keyboard-layout
bin/gswitchit-plugins-capplet
include/libgswitchit/
include/libgswitchit/gswitchit_plugin.h
include/libgswitchit/gswitchit_xkb_config.h
lib/bonobo/
lib/bonobo/servers/
lib/bonobo/servers/GNOME_AccessxStatusApplet.server
lib/bonobo/servers/GNOME_CharpickerApplet.server
lib/bonobo/servers/GNOME_DriveMountApplet.server
@ -36,7 +38,11 @@ libexec/modemlights_applet2
libexec/multiload-applet-2
libexec/stickynotes_applet
libexec/wireless-applet
@sample ${CONFDIR}/
@sample ${CONFDIR}/sound/
@sample ${CONFDIR}/sound/events/
share/examples/gnome-applets2/sound/events/mailcheck.soundlist
@sample ${CONFDIR}/sound/events/mailcheck.soundlist
share/gen_util/
share/gen_util/mini-commander.glade
share/geyes/
@ -60,6 +66,9 @@ share/geyes/Horrid/
share/geyes/Horrid/config
share/geyes/Horrid/horrid_eye.png
share/geyes/Horrid/horrid_pupil.png
share/gnome/
share/gnome-2.0/
share/gnome-2.0/ui/
share/gnome-2.0/ui/GNOME_AccessxApplet.xml
share/gnome-2.0/ui/GNOME_CharpickerApplet.xml
share/gnome-2.0/ui/GNOME_DriveMountApplet.xml
@ -208,6 +217,7 @@ share/gnome/gkb/YU_Serb_x.keyprop
share/gnome/gkb/YU_Serbo-Croatian_x.keyprop
share/gnome/gkb/Yugoslav.keyprop
share/gnome/gkb/presets.xml
share/gnome/help/
share/gnome/help/accessx-status/
share/gnome/help/accessx-status/C/
share/gnome/help/accessx-status/C/accessx-status.xml
@ -1159,46 +1169,82 @@ share/gswitchit/gswitchit-properties.glade
share/gweather/
share/gweather/Locations
share/locale/am/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/ar/
share/locale/ar/LC_MESSAGES/
share/locale/ar/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/az/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/be/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/bg/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/bn/
share/locale/bn/LC_MESSAGES/
share/locale/bn/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/ca/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/cs/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/cy/
share/locale/cy/LC_MESSAGES/
share/locale/cy/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/da/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/de/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/el/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/en_CA/
share/locale/en_CA/LC_MESSAGES/
share/locale/en_CA/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/en_GB/
share/locale/en_GB/LC_MESSAGES/
share/locale/en_GB/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/es/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/et/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/eu/
share/locale/eu/LC_MESSAGES/
share/locale/eu/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/fa/
share/locale/fa/LC_MESSAGES/
share/locale/fa/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/fi/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/fr/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/ga/
share/locale/ga/LC_MESSAGES/
share/locale/ga/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/gl/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/gu/
share/locale/gu/LC_MESSAGES/
share/locale/gu/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/he/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/hi/
share/locale/hi/LC_MESSAGES/
share/locale/hi/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/hr/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/hu/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/is/
share/locale/is/LC_MESSAGES/
share/locale/is/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/it/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/ja/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/ko/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/lt/
share/locale/lt/LC_MESSAGES/
share/locale/lt/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/lv/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/mi/
share/locale/mi/LC_MESSAGES/
share/locale/mi/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/mk/
share/locale/mk/LC_MESSAGES/
share/locale/mk/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/ml/
share/locale/ml/LC_MESSAGES/
share/locale/ml/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/mn/
share/locale/mn/LC_MESSAGES/
share/locale/mn/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/ms/
share/locale/ms/LC_MESSAGES/
share/locale/ms/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/nl/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/nn/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/no/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/pa/
share/locale/pa/LC_MESSAGES/
share/locale/pa/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/pl/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/pt/LC_MESSAGES/gnome-applets-2.0.mo
@ -1207,15 +1253,23 @@ share/locale/ro/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/ru/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/sk/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/sl/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/sq/
share/locale/sq/LC_MESSAGES/
share/locale/sq/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/sr/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/sr@Latn/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/sv/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/ta/
share/locale/ta/LC_MESSAGES/
share/locale/ta/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/th/
share/locale/th/LC_MESSAGES/
share/locale/th/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/tr/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/uk/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/vi/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/wa/
share/locale/wa/LC_MESSAGES/
share/locale/wa/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/zh_CN/LC_MESSAGES/gnome-applets-2.0.mo
share/locale/zh_TW/LC_MESSAGES/gnome-applets-2.0.mo
@ -1367,6 +1421,7 @@ share/omf/gnome-applets/wireless-sv.omf
share/omf/gnome-applets/wireless-zh_CN.omf
share/omf/gnome-applets/wireless-zh_HK.omf
share/omf/gnome-applets/wireless-zh_TW.omf
share/pixmaps/
share/pixmaps/accessx-status-applet/
share/pixmaps/accessx-status-applet/ax-applet.png
share/pixmaps/accessx-status-applet/ax-bouncekeys.png
@ -1523,6 +1578,7 @@ share/pixmaps/wireless-applet/signal-41-60.png
share/pixmaps/wireless-applet/signal-61-80.png
share/pixmaps/wireless-applet/signal-81-100.png
share/pixmaps/wireless-applet/wireless-applet.png
share/schemas/
share/schemas/gnome-applets2/
share/schemas/gnome-applets2/charpick.schemas
share/schemas/gnome-applets2/drivemount.schemas
@ -1630,8 +1686,3 @@ share/xmodmap/xmodmap.yu
@exec %D/bin/scrollkeeper-update -q
@unexec %D/bin/scrollkeeper-update -q
@exec GCONF_CONFIG_SOURCE=`%D/bin/gconftool-2 --get-default-source` %D/bin/gconftool-2 --makefile-install-rule %D/share/schemas/gnome-applets2/*.schemas > /dev/null
@cwd ${SYSCONFDIR}
@extra gnome/sound/events/mailcheck.soundlist
@extraunexec rmdir %D/gnome/sound/events 2>/dev/null || true
@extraunexec rmdir %D/gnome/sound 2>/dev/null || true
@extraunexec rmdir %D/gnome 2>/dev/null || true

View File

@ -1,5 +1,7 @@
@comment $OpenBSD: PLIST,v 1.1.1.1 2004/07/25 00:31:56 marcm Exp $
@comment $OpenBSD: PLIST,v 1.2 2004/09/15 04:12:55 marcm Exp $
bin/eog
lib/bonobo/
lib/bonobo/servers/
lib/bonobo/servers/GNOME_EOG.server
lib/bonobo/servers/GNOME_EOG_Collection.server
libexec/eog-collection-view
@ -11,6 +13,8 @@ share/eog/glade/
share/eog/glade/eog.glade
share/eog/gpi-dialog.glade
share/gnome/
share/gnome-2.0/
share/gnome-2.0/ui/
share/gnome-2.0/ui/eog-collection-view-ui.xml
share/gnome-2.0/ui/eog-image-view-ctrl-ui.xml
share/gnome-2.0/ui/eog-image-view-ui.xml
@ -72,50 +76,87 @@ share/gnome/help/eog/zh_TW/eog.xml
share/gnome/help/eog/zh_TW/figures/
share/gnome/help/eog/zh_TW/figures/eog_start_window.png
share/gnome/help/eog/zh_TW/legal.xml
share/idl/
share/idl/Eog.idl
share/locale/af/
share/locale/af/LC_MESSAGES/
share/locale/af/LC_MESSAGES/eog.mo
share/locale/am/LC_MESSAGES/eog.mo
share/locale/ar/
share/locale/ar/LC_MESSAGES/
share/locale/ar/LC_MESSAGES/eog.mo
share/locale/az/LC_MESSAGES/eog.mo
share/locale/be/LC_MESSAGES/eog.mo
share/locale/bg/LC_MESSAGES/eog.mo
share/locale/bn/
share/locale/bn/LC_MESSAGES/
share/locale/bn/LC_MESSAGES/eog.mo
share/locale/ca/LC_MESSAGES/eog.mo
share/locale/cs/LC_MESSAGES/eog.mo
share/locale/cy/
share/locale/cy/LC_MESSAGES/
share/locale/cy/LC_MESSAGES/eog.mo
share/locale/da/LC_MESSAGES/eog.mo
share/locale/de/LC_MESSAGES/eog.mo
share/locale/el/LC_MESSAGES/eog.mo
share/locale/en_CA/
share/locale/en_CA/LC_MESSAGES/
share/locale/en_CA/LC_MESSAGES/eog.mo
share/locale/en_GB/
share/locale/en_GB/LC_MESSAGES/
share/locale/en_GB/LC_MESSAGES/eog.mo
share/locale/es/LC_MESSAGES/eog.mo
share/locale/et/LC_MESSAGES/eog.mo
share/locale/eu/
share/locale/eu/LC_MESSAGES/
share/locale/eu/LC_MESSAGES/eog.mo
share/locale/fa/
share/locale/fa/LC_MESSAGES/
share/locale/fa/LC_MESSAGES/eog.mo
share/locale/fi/LC_MESSAGES/eog.mo
share/locale/fr/LC_MESSAGES/eog.mo
share/locale/ga/
share/locale/ga/LC_MESSAGES/
share/locale/ga/LC_MESSAGES/eog.mo
share/locale/gl/LC_MESSAGES/eog.mo
share/locale/gu/
share/locale/gu/LC_MESSAGES/
share/locale/gu/LC_MESSAGES/eog.mo
share/locale/he/LC_MESSAGES/eog.mo
share/locale/hi/
share/locale/hi/LC_MESSAGES/
share/locale/hi/LC_MESSAGES/eog.mo
share/locale/hr/LC_MESSAGES/eog.mo
share/locale/hu/LC_MESSAGES/eog.mo
share/locale/id/LC_MESSAGES/eog.mo
share/locale/is/
share/locale/is/LC_MESSAGES/
share/locale/is/LC_MESSAGES/eog.mo
share/locale/it/LC_MESSAGES/eog.mo
share/locale/ja/LC_MESSAGES/eog.mo
share/locale/kn/LC_MESSAGES/eog.mo
share/locale/ko/LC_MESSAGES/eog.mo
share/locale/lt/
share/locale/lt/LC_MESSAGES/
share/locale/lt/LC_MESSAGES/eog.mo
share/locale/lv/LC_MESSAGES/eog.mo
share/locale/mk/
share/locale/mk/LC_MESSAGES/
share/locale/mk/LC_MESSAGES/eog.mo
share/locale/ml/
share/locale/ml/LC_MESSAGES/
share/locale/ml/LC_MESSAGES/eog.mo
share/locale/mn/
share/locale/mn/LC_MESSAGES/
share/locale/mn/LC_MESSAGES/eog.mo
share/locale/ms/
share/locale/ms/LC_MESSAGES/
share/locale/ms/LC_MESSAGES/eog.mo
share/locale/nl/LC_MESSAGES/eog.mo
share/locale/nn/LC_MESSAGES/eog.mo
share/locale/no/LC_MESSAGES/eog.mo
share/locale/pa/
share/locale/pa/LC_MESSAGES/
share/locale/pa/LC_MESSAGES/eog.mo
share/locale/pl/LC_MESSAGES/eog.mo
share/locale/pt/LC_MESSAGES/eog.mo
@ -124,15 +165,23 @@ share/locale/ro/LC_MESSAGES/eog.mo
share/locale/ru/LC_MESSAGES/eog.mo
share/locale/sk/LC_MESSAGES/eog.mo
share/locale/sl/LC_MESSAGES/eog.mo
share/locale/sq/
share/locale/sq/LC_MESSAGES/
share/locale/sq/LC_MESSAGES/eog.mo
share/locale/sr/LC_MESSAGES/eog.mo
share/locale/sr@Latn/LC_MESSAGES/eog.mo
share/locale/sv/LC_MESSAGES/eog.mo
share/locale/ta/
share/locale/ta/LC_MESSAGES/
share/locale/ta/LC_MESSAGES/eog.mo
share/locale/th/
share/locale/th/LC_MESSAGES/
share/locale/th/LC_MESSAGES/eog.mo
share/locale/tr/LC_MESSAGES/eog.mo
share/locale/uk/LC_MESSAGES/eog.mo
share/locale/vi/LC_MESSAGES/eog.mo
share/locale/wa/
share/locale/wa/LC_MESSAGES/
share/locale/wa/LC_MESSAGES/eog.mo
share/locale/zh_CN/LC_MESSAGES/eog.mo
share/locale/zh_TW/LC_MESSAGES/eog.mo
@ -148,6 +197,7 @@ share/omf/eog/eog-ko.omf
share/omf/eog/eog-sv.omf
share/omf/eog/eog-zh_CN.omf
share/omf/eog/eog-zh_TW.omf
share/pixmaps/
share/pixmaps/eog/
share/pixmaps/eog/down-right.png
share/pixmaps/eog/loading.png
@ -158,6 +208,7 @@ share/pixmaps/eog/stock-rotate-180-16.png
share/pixmaps/eog/stock-rotate-270-16.png
share/pixmaps/eog/stock-rotate-90-16.png
share/pixmaps/gnome-eog.png
share/schemas/
share/schemas/eog/
share/schemas/eog/eog.schemas
@exec GCONF_CONFIG_SOURCE=`%D/bin/gconftool-2 --get-default-source` %D/bin/gconftool-2 --makefile-install-rule %D/share/schemas/eog/*.schemas > /dev/null

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST,v 1.1.1.1 2004/07/28 04:55:59 marcm Exp $
@comment $OpenBSD: PLIST,v 1.2 2004/09/15 04:12:56 marcm Exp $
bin/gedit
bin/gnome-text-editor
include/gedit-2.6/
@ -30,7 +30,9 @@ include/gedit-2.6/gedit/recent-files/egg-recent-util.h
include/gedit-2.6/gedit/recent-files/egg-recent-view-bonobo.h
include/gedit-2.6/gedit/recent-files/egg-recent-view-gtk.h
include/gedit-2.6/gedit/recent-files/egg-recent-view.h
lib/bonobo/
lib/bonobo/libgedit-control.la
lib/bonobo/servers/
lib/bonobo/servers/GNOME_Gedit.server
lib/gedit-2/
lib/gedit-2/plugins/
@ -51,7 +53,8 @@ lib/gedit-2/plugins/spell.gedit-plugin
lib/gedit-2/plugins/taglist.gedit-plugin
lib/gedit-2/plugins/time.gedit-plugin
lib/pkgconfig/gedit-2.6.pc
man/man1/gedit.1
@man man/man1/gedit.1
share/application-registry/
share/application-registry/gedit.applications
share/applications/
share/applications/gedit.desktop
@ -78,6 +81,8 @@ share/gedit-2/taglist/XSLT.tags
share/gedit-2/ui/
share/gedit-2/ui/gedit-ui.xml
share/gnome/
share/gnome-2.0/
share/gnome-2.0/ui/
share/gnome-2.0/ui/gedit-viewer-ui.xml
share/gnome/help/
share/gnome/help/gedit/
@ -156,53 +161,96 @@ share/gnome/help/gedit/zh_TW/figures/gedit_recent_files_menu_icon.png
share/gnome/help/gedit/zh_TW/figures/gedit_window.png
share/gnome/help/gedit/zh_TW/gedit.xml
share/gnome/help/gedit/zh_TW/legal.xml
share/idl/
share/idl/GNOME_Gedit.idl
share/locale/af/
share/locale/af/LC_MESSAGES/
share/locale/af/LC_MESSAGES/gedit-2.6.mo
share/locale/am/LC_MESSAGES/gedit-2.6.mo
share/locale/ar/
share/locale/ar/LC_MESSAGES/
share/locale/ar/LC_MESSAGES/gedit-2.6.mo
share/locale/az/LC_MESSAGES/gedit-2.6.mo
share/locale/be/LC_MESSAGES/gedit-2.6.mo
share/locale/bg/LC_MESSAGES/gedit-2.6.mo
share/locale/bn/
share/locale/bn/LC_MESSAGES/
share/locale/bn/LC_MESSAGES/gedit-2.6.mo
share/locale/ca/LC_MESSAGES/gedit-2.6.mo
share/locale/cs/LC_MESSAGES/gedit-2.6.mo
share/locale/cy/
share/locale/cy/LC_MESSAGES/
share/locale/cy/LC_MESSAGES/gedit-2.6.mo
share/locale/da/LC_MESSAGES/gedit-2.6.mo
share/locale/de/LC_MESSAGES/gedit-2.6.mo
share/locale/el/LC_MESSAGES/gedit-2.6.mo
share/locale/en_CA/
share/locale/en_CA/LC_MESSAGES/
share/locale/en_CA/LC_MESSAGES/gedit-2.6.mo
share/locale/en_GB/
share/locale/en_GB/LC_MESSAGES/
share/locale/en_GB/LC_MESSAGES/gedit-2.6.mo
share/locale/es/LC_MESSAGES/gedit-2.6.mo
share/locale/et/LC_MESSAGES/gedit-2.6.mo
share/locale/eu/
share/locale/eu/LC_MESSAGES/
share/locale/eu/LC_MESSAGES/gedit-2.6.mo
share/locale/fa/
share/locale/fa/LC_MESSAGES/
share/locale/fa/LC_MESSAGES/gedit-2.6.mo
share/locale/fi/LC_MESSAGES/gedit-2.6.mo
share/locale/fr/LC_MESSAGES/gedit-2.6.mo
share/locale/ga/
share/locale/ga/LC_MESSAGES/
share/locale/ga/LC_MESSAGES/gedit-2.6.mo
share/locale/gl/LC_MESSAGES/gedit-2.6.mo
share/locale/gu/
share/locale/gu/LC_MESSAGES/
share/locale/gu/LC_MESSAGES/gedit-2.6.mo
share/locale/he/LC_MESSAGES/gedit-2.6.mo
share/locale/hi/
share/locale/hi/LC_MESSAGES/
share/locale/hi/LC_MESSAGES/gedit-2.6.mo
share/locale/hr/LC_MESSAGES/gedit-2.6.mo
share/locale/hu/LC_MESSAGES/gedit-2.6.mo
share/locale/id/LC_MESSAGES/gedit-2.6.mo
share/locale/is/
share/locale/is/LC_MESSAGES/
share/locale/is/LC_MESSAGES/gedit-2.6.mo
share/locale/it/LC_MESSAGES/gedit-2.6.mo
share/locale/ja/LC_MESSAGES/gedit-2.6.mo
share/locale/kn/LC_MESSAGES/gedit-2.6.mo
share/locale/ko/LC_MESSAGES/gedit-2.6.mo
share/locale/lt/
share/locale/lt/LC_MESSAGES/
share/locale/lt/LC_MESSAGES/gedit-2.6.mo
share/locale/lv/LC_MESSAGES/gedit-2.6.mo
share/locale/mi/
share/locale/mi/LC_MESSAGES/
share/locale/mi/LC_MESSAGES/gedit-2.6.mo
share/locale/mk/
share/locale/mk/LC_MESSAGES/
share/locale/mk/LC_MESSAGES/gedit-2.6.mo
share/locale/ml/
share/locale/ml/LC_MESSAGES/
share/locale/ml/LC_MESSAGES/gedit-2.6.mo
share/locale/mn/
share/locale/mn/LC_MESSAGES/
share/locale/mn/LC_MESSAGES/gedit-2.6.mo
share/locale/mr/
share/locale/mr/LC_MESSAGES/
share/locale/mr/LC_MESSAGES/gedit-2.6.mo
share/locale/ms/
share/locale/ms/LC_MESSAGES/
share/locale/ms/LC_MESSAGES/gedit-2.6.mo
share/locale/ne/
share/locale/ne/LC_MESSAGES/
share/locale/ne/LC_MESSAGES/gedit-2.6.mo
share/locale/nl/LC_MESSAGES/gedit-2.6.mo
share/locale/nn/LC_MESSAGES/gedit-2.6.mo
share/locale/no/LC_MESSAGES/gedit-2.6.mo
share/locale/pa/
share/locale/pa/LC_MESSAGES/
share/locale/pa/LC_MESSAGES/gedit-2.6.mo
share/locale/pl/LC_MESSAGES/gedit-2.6.mo
share/locale/pt/LC_MESSAGES/gedit-2.6.mo
@ -211,19 +259,30 @@ share/locale/ro/LC_MESSAGES/gedit-2.6.mo
share/locale/ru/LC_MESSAGES/gedit-2.6.mo
share/locale/sk/LC_MESSAGES/gedit-2.6.mo
share/locale/sl/LC_MESSAGES/gedit-2.6.mo
share/locale/sq/
share/locale/sq/LC_MESSAGES/
share/locale/sq/LC_MESSAGES/gedit-2.6.mo
share/locale/sr/LC_MESSAGES/gedit-2.6.mo
share/locale/sr@Latn/LC_MESSAGES/gedit-2.6.mo
share/locale/sv/LC_MESSAGES/gedit-2.6.mo
share/locale/ta/
share/locale/ta/LC_MESSAGES/
share/locale/ta/LC_MESSAGES/gedit-2.6.mo
share/locale/th/
share/locale/th/LC_MESSAGES/
share/locale/th/LC_MESSAGES/gedit-2.6.mo
share/locale/tk/
share/locale/tk/LC_MESSAGES/
share/locale/tk/LC_MESSAGES/gedit-2.6.mo
share/locale/tr/LC_MESSAGES/gedit-2.6.mo
share/locale/uk/LC_MESSAGES/gedit-2.6.mo
share/locale/vi/LC_MESSAGES/gedit-2.6.mo
share/locale/wa/
share/locale/wa/LC_MESSAGES/
share/locale/wa/LC_MESSAGES/gedit-2.6.mo
share/locale/zh_CN/LC_MESSAGES/gedit-2.6.mo
share/locale/zh_TW/LC_MESSAGES/gedit-2.6.mo
share/mime-info/
share/mime-info/gedit.keys
share/omf/gedit/
share/omf/gedit/gedit-C.omf
@ -238,12 +297,14 @@ share/omf/gedit/gedit-sv.omf
share/omf/gedit/gedit-zh_CN.omf
share/omf/gedit/gedit-zh_HK.omf
share/omf/gedit/gedit-zh_TW.omf
share/pixmaps/
share/pixmaps/gedit-icon.png
share/pixmaps/gedit-logo.png
share/pixmaps/gedit-plugin-manager.png
share/schemas/
share/schemas/gedit/
share/schemas/gedit/gedit.schemas
%%SHARED%%
@exec GCONF_CONFIG_SOURCE=`%D/bin/gconftool-2 --get-default-source` %D/bin/gconftool-2 --makefile-install-rule %D/share/schemas/gedit/*.schemas > /dev/null
@exec %D/bin/scrollkeeper-update -q
@unexec %D/bin/scrollkeeper-update -q
%%SHARED%%

View File

@ -1,10 +1,14 @@
@comment $OpenBSD: PLIST,v 1.1.1.1 2004/07/28 04:56:32 marcm Exp $
@comment $OpenBSD: PLIST,v 1.2 2004/09/15 04:12:56 marcm Exp $
bin/ggv
lib/bonobo/
lib/bonobo/servers/
lib/bonobo/servers/GNOME_GGV.server
libexec/ggv-postscript-viewer
share/applications/
share/applications/ggv.desktop
share/gnome/
share/gnome-2.0/
share/gnome-2.0/ui/
share/gnome-2.0/ui/ggv-control-ui.xml
share/gnome-2.0/ui/ggv-postscript-view-ui.xml
share/gnome-2.0/ui/ggv-ui.xml
@ -64,51 +68,90 @@ share/gnome/help/ggv/zh_TW/figures/
share/gnome/help/ggv/zh_TW/figures/ggv_window.png
share/gnome/help/ggv/zh_TW/ggv.xml
share/gnome/help/ggv/zh_TW/legal.xml
share/idl/
share/idl/Ggv.idl
share/locale/af/
share/locale/af/LC_MESSAGES/
share/locale/af/LC_MESSAGES/ggv.mo
share/locale/am/LC_MESSAGES/ggv.mo
share/locale/ar/
share/locale/ar/LC_MESSAGES/
share/locale/ar/LC_MESSAGES/ggv.mo
share/locale/az/LC_MESSAGES/ggv.mo
share/locale/be/LC_MESSAGES/ggv.mo
share/locale/bg/LC_MESSAGES/ggv.mo
share/locale/bn/
share/locale/bn/LC_MESSAGES/
share/locale/bn/LC_MESSAGES/ggv.mo
share/locale/ca/LC_MESSAGES/ggv.mo
share/locale/cs/LC_MESSAGES/ggv.mo
share/locale/cy/
share/locale/cy/LC_MESSAGES/
share/locale/cy/LC_MESSAGES/ggv.mo
share/locale/da/LC_MESSAGES/ggv.mo
share/locale/de/LC_MESSAGES/ggv.mo
share/locale/el/LC_MESSAGES/ggv.mo
share/locale/en_CA/
share/locale/en_CA/LC_MESSAGES/
share/locale/en_CA/LC_MESSAGES/ggv.mo
share/locale/en_GB/
share/locale/en_GB/LC_MESSAGES/
share/locale/en_GB/LC_MESSAGES/ggv.mo
share/locale/es/LC_MESSAGES/ggv.mo
share/locale/et/LC_MESSAGES/ggv.mo
share/locale/eu/
share/locale/eu/LC_MESSAGES/
share/locale/eu/LC_MESSAGES/ggv.mo
share/locale/fa/
share/locale/fa/LC_MESSAGES/
share/locale/fa/LC_MESSAGES/ggv.mo
share/locale/fi/LC_MESSAGES/ggv.mo
share/locale/fr/LC_MESSAGES/ggv.mo
share/locale/ga/
share/locale/ga/LC_MESSAGES/
share/locale/ga/LC_MESSAGES/ggv.mo
share/locale/gl/LC_MESSAGES/ggv.mo
share/locale/gu/
share/locale/gu/LC_MESSAGES/
share/locale/gu/LC_MESSAGES/ggv.mo
share/locale/he/LC_MESSAGES/ggv.mo
share/locale/hi/
share/locale/hi/LC_MESSAGES/
share/locale/hi/LC_MESSAGES/ggv.mo
share/locale/hr/LC_MESSAGES/ggv.mo
share/locale/hu/LC_MESSAGES/ggv.mo
share/locale/id/LC_MESSAGES/ggv.mo
share/locale/is/
share/locale/is/LC_MESSAGES/
share/locale/is/LC_MESSAGES/ggv.mo
share/locale/it/LC_MESSAGES/ggv.mo
share/locale/ja/LC_MESSAGES/ggv.mo
share/locale/kn/LC_MESSAGES/ggv.mo
share/locale/ko/LC_MESSAGES/ggv.mo
share/locale/lt/
share/locale/lt/LC_MESSAGES/
share/locale/lt/LC_MESSAGES/ggv.mo
share/locale/lv/LC_MESSAGES/ggv.mo
share/locale/mi/
share/locale/mi/LC_MESSAGES/
share/locale/mi/LC_MESSAGES/ggv.mo
share/locale/mk/
share/locale/mk/LC_MESSAGES/
share/locale/mk/LC_MESSAGES/ggv.mo
share/locale/ml/
share/locale/ml/LC_MESSAGES/
share/locale/ml/LC_MESSAGES/ggv.mo
share/locale/mn/
share/locale/mn/LC_MESSAGES/
share/locale/mn/LC_MESSAGES/ggv.mo
share/locale/ms/
share/locale/ms/LC_MESSAGES/
share/locale/ms/LC_MESSAGES/ggv.mo
share/locale/nl/LC_MESSAGES/ggv.mo
share/locale/nn/LC_MESSAGES/ggv.mo
share/locale/no/LC_MESSAGES/ggv.mo
share/locale/pa/
share/locale/pa/LC_MESSAGES/
share/locale/pa/LC_MESSAGES/ggv.mo
share/locale/pl/LC_MESSAGES/ggv.mo
share/locale/pt/LC_MESSAGES/ggv.mo
@ -117,11 +160,17 @@ share/locale/ro/LC_MESSAGES/ggv.mo
share/locale/ru/LC_MESSAGES/ggv.mo
share/locale/sk/LC_MESSAGES/ggv.mo
share/locale/sl/LC_MESSAGES/ggv.mo
share/locale/sq/
share/locale/sq/LC_MESSAGES/
share/locale/sq/LC_MESSAGES/ggv.mo
share/locale/sr/LC_MESSAGES/ggv.mo
share/locale/sr@Latn/LC_MESSAGES/ggv.mo
share/locale/sv/LC_MESSAGES/ggv.mo
share/locale/ta/
share/locale/ta/LC_MESSAGES/
share/locale/ta/LC_MESSAGES/ggv.mo
share/locale/th/
share/locale/th/LC_MESSAGES/
share/locale/th/LC_MESSAGES/ggv.mo
share/locale/tr/LC_MESSAGES/ggv.mo
share/locale/uk/LC_MESSAGES/ggv.mo
@ -139,6 +188,7 @@ share/omf/ggv/ggv-ko.omf
share/omf/ggv/ggv-sv.omf
share/omf/ggv/ggv-zh_CN.omf
share/omf/ggv/ggv-zh_TW.omf
share/pixmaps/
share/pixmaps/ggv/
share/pixmaps/ggv/clearall.xpm
share/pixmaps/ggv/fitwidth.png
@ -148,6 +198,7 @@ share/pixmaps/ggv/toggleeven.xpm
share/pixmaps/ggv/toggleodd.xpm
share/pixmaps/ggv/zoom.xpm
share/pixmaps/gnome-ghostview.png
share/schemas/
share/schemas/ggv/
share/schemas/ggv/ggv.schemas
@exec GCONF_CONFIG_SOURCE=`%D/bin/gconftool-2 --get-default-source` %D/bin/gconftool-2 --makefile-install-rule %D/share/schemas/ggv/*.schemas > /dev/null

View File

@ -1,54 +0,0 @@
#!/bin/sh
#
# $OpenBSD: DEINSTALL,v 1.1 2003/10/07 05:48:54 marcm Exp $
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
FILES='
bonobo-activation/bonobo-activation-config.xml
'
do_notice()
{
echo
echo "+--------------- $1"
echo "| To really remove $1 from your system you should also"
echo "| remove the configuration files from the ${CONFDIR} directory."
echo "| Remove the directories in which the files reside as well if empty."
echo "|"
echo "| If you are planning on installing $1 again in the"
echo "| future you can leave it as it is."
echo "|"
echo "| FYI, the following configuration files belong to this package:"
echo "|"
for f in ${FILES}; do
echo "| ${CONFDIR}/$f"
done
echo "+--------------- $1"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ "$PKG_DELETE_EXTRA" != Yes ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

View File

@ -1,98 +0,0 @@
#!/bin/sh
#
# $OpenBSD: INSTALL,v 1.1 2003/10/07 05:48:54 marcm Exp $
P_NAME=libbonobo
DIRS='
bonobo-activation
'
FILES='
bonobo-activation/bonobo-activation-config.xml
'
set -e
PREFIX=${PKG_PREFIX:-/usr/local}
PATH=/bin:/usr/bin:/sbin:/usr/sbin
do_post() {
DEST_PFX=${CONFDIR}
SOURCE_PFX=${PREFIX}/share/examples/${P_NAME}
echo
echo "+--------------- ${P_NAME}"
# install dirs if necessary
for d in ${DIRS}; do
if [ ! -d "${DEST_PFX}/$d" ]; then
install -d ${DEST_PFX}/$d
fi
done
# install or take note of existing config files
for f in ${FILES}; do
if [ -f "${DEST_PFX}/$f" ]; then
OLD_CONFS="${OLD_CONFS} $f"
else
if ! install -m 644 ${SOURCE_PFX}/$f ${DEST_PFX}/$f; then
echo "| ERROR: The following file could not be installed, exiting: ${DEST_PFX}/$f"
exit 1
fi
NEW_CONFS="${NEW_CONFS} $f"
fi
done
# print status report
if [ -n "${NEW_CONFS}" ]; then
echo "| The following NEW configuration files have been installed:"
echo "|"
for f in ${NEW_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
fi
if [ -n "${OLD_CONFS}" ]; then
if [ -n "${NEW_CONFS}" ]; then
echo "|"
fi
echo "| The following OLD configuration files were found and have NOT been"
echo "| overwritten:"
echo "|"
for f in ${OLD_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
echo "|"
echo "| You should however manually compare them to their equivalents in"
echo "|"
echo "| ${SOURCE_PFX}"
echo "|"
echo "| and update your configuration as needed."
fi
echo "+--------------- ${P_NAME}"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
;;
POST-INSTALL)
do_post
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,6 +1,5 @@
@comment $OpenBSD: PFRAG.shared,v 1.3 2003/10/07 05:48:54 marcm Exp $
@comment $OpenBSD: PFRAG.shared,v 1.4 2004/09/15 04:12:56 marcm Exp $
lib/bonobo/monikers/libmoniker_std_2.so
@lib lib/libbonobo-2.so.0.0
@lib lib/libbonobo-activation.so.4.0
lib/orbit-2.0/Bonobo_module.so
lib/libbonobo-2.so.0.0
lib/libbonobo-activation.so.4.0
DYNLIBDIR(%D/lib)

View File

@ -1,9 +1,10 @@
@comment $OpenBSD: PLIST,v 1.11 2004/06/25 16:45:11 marcm Exp $
@pkgcfl bonobo-activation-*
@comment $OpenBSD: PLIST,v 1.12 2004/09/15 04:12:56 marcm Exp $
bin/activation-client
bin/bonobo-activation-run-query
bin/bonobo-slay
bin/echo-client-2
include/bonobo-activation-2.0/
include/bonobo-activation-2.0/bonobo-activation/
include/bonobo-activation-2.0/bonobo-activation/Bonobo_Activation_types.h
include/bonobo-activation-2.0/bonobo-activation/Bonobo_GenericFactory.h
include/bonobo-activation-2.0/bonobo-activation/Bonobo_Unknown.h
@ -15,6 +16,8 @@ include/bonobo-activation-2.0/bonobo-activation/bonobo-activation-server-info.h
include/bonobo-activation-2.0/bonobo-activation/bonobo-activation-shlib.h
include/bonobo-activation-2.0/bonobo-activation/bonobo-activation-version.h
include/bonobo-activation-2.0/bonobo-activation/bonobo-activation.h
include/libbonobo-2.0/
include/libbonobo-2.0/bonobo/
include/libbonobo-2.0/bonobo/Bonobo.h
include/libbonobo-2.0/bonobo/bonobo-app-client.h
include/libbonobo-2.0/bonobo/bonobo-application.h
@ -50,9 +53,14 @@ include/libbonobo-2.0/bonobo/bonobo-stream.h
include/libbonobo-2.0/bonobo/bonobo-types.h
include/libbonobo-2.0/bonobo/bonobo-xobject.h
include/libbonobo-2.0/libbonobo.h
lib/bonobo/
lib/bonobo-2.0/
lib/bonobo-2.0/samples/
lib/bonobo-2.0/samples/bonobo-echo-2
lib/bonobo/monikers/
lib/bonobo/monikers/libmoniker_std_2.a
lib/bonobo/monikers/libmoniker_std_2.la
lib/bonobo/servers/
lib/bonobo/servers/Bonobo_CosNaming_NamingContext.server
lib/bonobo/servers/Bonobo_Moniker_std.server
lib/bonobo/servers/Bonobo_Sample_Echo.server
@ -63,14 +71,27 @@ lib/libbonobo-2.a
lib/libbonobo-2.la
lib/libbonobo-activation.a
lib/libbonobo-activation.la
lib/orbit-2.0/
lib/orbit-2.0/Bonobo_module.a
lib/orbit-2.0/Bonobo_module.la
lib/pkgconfig/
lib/pkgconfig/bonobo-activation-2.0.pc
lib/pkgconfig/libbonobo-2.0.pc
libexec/bonobo-activation-server
man/man1/bonobo-activation-server.1
@man man/man1/bonobo-activation-server.1
sbin/bonobo-activation-sysconf
@sample ${SYSCONFDIR}/gnome/
@sample ${SYSCONFDIR}/gnome/bonobo-activation/
share/examples/libbonobo/
share/examples/libbonobo/bonobo-activation/
share/examples/libbonobo/bonobo-activation/bonobo-activation-config.xml
@sample ${SYSCONFDIR}/gnome/bonobo-activation/bonobo-activation-config.xml
share/gtk-doc/
share/gtk-doc/html/
share/gtk-doc/html/bonobo-activation/
share/gtk-doc/html/libbonobo/
share/idl/
share/idl/bonobo-2.0/
share/idl/bonobo-2.0/Bonobo.idl
share/idl/bonobo-2.0/Bonobo_Application.idl
share/idl/bonobo-2.0/Bonobo_Canvas.idl
@ -90,53 +111,98 @@ share/idl/bonobo-2.0/Bonobo_Sample_Echo.idl
share/idl/bonobo-2.0/Bonobo_Storage.idl
share/idl/bonobo-2.0/Bonobo_UI.idl
share/idl/bonobo-2.0/Bonobo_Zoomable.idl
share/idl/bonobo-activation-2.0/
share/idl/bonobo-activation-2.0/Bonobo_ActivationContext.idl
share/idl/bonobo-activation-2.0/Bonobo_Activation_types.idl
share/idl/bonobo-activation-2.0/Bonobo_GenericFactory.idl
share/idl/bonobo-activation-2.0/Bonobo_ObjectDirectory.idl
share/idl/bonobo-activation-2.0/Bonobo_Unknown.idl
share/locale/am/
share/locale/am/LC_MESSAGES/
share/locale/am/LC_MESSAGES/libbonobo-2.0.mo
share/locale/ar/
share/locale/ar/LC_MESSAGES/
share/locale/ar/LC_MESSAGES/libbonobo-2.0.mo
share/locale/az/
share/locale/az/LC_MESSAGES/
share/locale/az/LC_MESSAGES/libbonobo-2.0.mo
share/locale/be/
share/locale/be/LC_MESSAGES/
share/locale/be/LC_MESSAGES/libbonobo-2.0.mo
share/locale/bg/LC_MESSAGES/libbonobo-2.0.mo
share/locale/bn/
share/locale/bn/LC_MESSAGES/
share/locale/bn/LC_MESSAGES/libbonobo-2.0.mo
share/locale/ca/
share/locale/ca/LC_MESSAGES/
share/locale/ca/LC_MESSAGES/libbonobo-2.0.mo
share/locale/cs/LC_MESSAGES/libbonobo-2.0.mo
share/locale/cy/
share/locale/cy/LC_MESSAGES/
share/locale/cy/LC_MESSAGES/libbonobo-2.0.mo
share/locale/da/LC_MESSAGES/libbonobo-2.0.mo
share/locale/de/LC_MESSAGES/libbonobo-2.0.mo
share/locale/el/LC_MESSAGES/libbonobo-2.0.mo
share/locale/en_CA/
share/locale/en_CA/LC_MESSAGES/
share/locale/en_CA/LC_MESSAGES/libbonobo-2.0.mo
share/locale/en_GB/
share/locale/en_GB/LC_MESSAGES/
share/locale/en_GB/LC_MESSAGES/libbonobo-2.0.mo
share/locale/eo/LC_MESSAGES/libbonobo-2.0.mo
share/locale/es/LC_MESSAGES/libbonobo-2.0.mo
share/locale/eu/
share/locale/eu/LC_MESSAGES/
share/locale/eu/LC_MESSAGES/libbonobo-2.0.mo
share/locale/fa/
share/locale/fa/LC_MESSAGES/
share/locale/fa/LC_MESSAGES/libbonobo-2.0.mo
share/locale/fi/LC_MESSAGES/libbonobo-2.0.mo
share/locale/fr/LC_MESSAGES/libbonobo-2.0.mo
share/locale/ga/
share/locale/ga/LC_MESSAGES/
share/locale/ga/LC_MESSAGES/libbonobo-2.0.mo
share/locale/gl/LC_MESSAGES/libbonobo-2.0.mo
share/locale/gu/
share/locale/gu/LC_MESSAGES/
share/locale/gu/LC_MESSAGES/libbonobo-2.0.mo
share/locale/he/LC_MESSAGES/libbonobo-2.0.mo
share/locale/hi/
share/locale/hi/LC_MESSAGES/
share/locale/hi/LC_MESSAGES/libbonobo-2.0.mo
share/locale/hr/LC_MESSAGES/libbonobo-2.0.mo
share/locale/hu/LC_MESSAGES/libbonobo-2.0.mo
share/locale/id/LC_MESSAGES/libbonobo-2.0.mo
share/locale/is/
share/locale/is/LC_MESSAGES/
share/locale/is/LC_MESSAGES/libbonobo-2.0.mo
share/locale/it/LC_MESSAGES/libbonobo-2.0.mo
share/locale/ja/LC_MESSAGES/libbonobo-2.0.mo
share/locale/ko/LC_MESSAGES/libbonobo-2.0.mo
share/locale/li/
share/locale/li/LC_MESSAGES/
share/locale/li/LC_MESSAGES/libbonobo-2.0.mo
share/locale/lt/
share/locale/lt/LC_MESSAGES/
share/locale/lt/LC_MESSAGES/libbonobo-2.0.mo
share/locale/lv/LC_MESSAGES/libbonobo-2.0.mo
share/locale/mk/
share/locale/mk/LC_MESSAGES/
share/locale/mk/LC_MESSAGES/libbonobo-2.0.mo
share/locale/ml/
share/locale/ml/LC_MESSAGES/
share/locale/ml/LC_MESSAGES/libbonobo-2.0.mo
share/locale/mn/
share/locale/mn/LC_MESSAGES/
share/locale/mn/LC_MESSAGES/libbonobo-2.0.mo
share/locale/ms/
share/locale/ms/LC_MESSAGES/
share/locale/ms/LC_MESSAGES/libbonobo-2.0.mo
share/locale/nl/LC_MESSAGES/libbonobo-2.0.mo
share/locale/nn/LC_MESSAGES/libbonobo-2.0.mo
share/locale/no/LC_MESSAGES/libbonobo-2.0.mo
share/locale/pa/
share/locale/pa/LC_MESSAGES/
share/locale/pa/LC_MESSAGES/libbonobo-2.0.mo
share/locale/pl/LC_MESSAGES/libbonobo-2.0.mo
share/locale/pt/LC_MESSAGES/libbonobo-2.0.mo
@ -145,41 +211,30 @@ share/locale/ro/LC_MESSAGES/libbonobo-2.0.mo
share/locale/ru/LC_MESSAGES/libbonobo-2.0.mo
share/locale/sk/LC_MESSAGES/libbonobo-2.0.mo
share/locale/sl/LC_MESSAGES/libbonobo-2.0.mo
share/locale/sq/
share/locale/sq/LC_MESSAGES/
share/locale/sq/LC_MESSAGES/libbonobo-2.0.mo
share/locale/sr/
share/locale/sr/LC_MESSAGES/
share/locale/sr/LC_MESSAGES/libbonobo-2.0.mo
share/locale/sr@Latn/
share/locale/sr@Latn/LC_MESSAGES/
share/locale/sr@Latn/LC_MESSAGES/libbonobo-2.0.mo
share/locale/sv/LC_MESSAGES/libbonobo-2.0.mo
share/locale/ta/
share/locale/ta/LC_MESSAGES/
share/locale/ta/LC_MESSAGES/libbonobo-2.0.mo
share/locale/tr/LC_MESSAGES/libbonobo-2.0.mo
share/locale/uk/LC_MESSAGES/libbonobo-2.0.mo
share/locale/vi/
share/locale/vi/LC_MESSAGES/
share/locale/vi/LC_MESSAGES/libbonobo-2.0.mo
share/locale/wa/
share/locale/wa/LC_MESSAGES/
share/locale/wa/LC_MESSAGES/libbonobo-2.0.mo
share/locale/yi/
share/locale/yi/LC_MESSAGES/
share/locale/yi/LC_MESSAGES/libbonobo-2.0.mo
share/locale/zh_CN/LC_MESSAGES/libbonobo-2.0.mo
share/locale/zh_TW/LC_MESSAGES/libbonobo-2.0.mo
%%SHARED%%
@dirrm share/locale/ml/LC_MESSAGES
@dirrm share/locale/ml
@dirrm share/locale/li/LC_MESSAGES
@dirrm share/locale/li
@dirrm share/idl/bonobo-activation-2.0
@dirrm share/idl/bonobo-2.0
@comment @exec mkdir -p %D/share/gtk-doc/html/libbonobo
@comment @dirrm share/gtk-doc/html/libbonobo
@comment @exec mkdir -p %D/share/gtk-doc/html/bonobo-activation
@comment @dirrm share/gtk-doc/html/bonobo-activation
@dirrm share/examples/libbonobo/bonobo-activation
@dirrm share/examples/libbonobo
@dirrm lib/bonobo/servers
@dirrm lib/bonobo/monikers
@dirrm lib/bonobo-2.0/samples
@dirrm lib/bonobo-2.0
@dirrm lib/bonobo
@dirrm include/libbonobo-2.0/bonobo
@dirrm include/libbonobo-2.0
@dirrm include/bonobo-activation-2.0/bonobo-activation
@dirrm include/bonobo-activation-2.0
@cwd ${SYSCONFDIR}
@extra gnome/bonobo-activation/bonobo-activation-config.xml
@extra gnome/bonobo-activation/
@extraunexec rmdir %D/gnome 2>/dev/null || true

View File

@ -1,55 +0,0 @@
#!/bin/sh
#
# $OpenBSD: DEINSTALL,v 1.4 2003/10/07 05:48:55 marcm Exp $
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
FILES='
sound/events/gnome-2.soundlist
sound/events/gtk-events-2.soundlist
'
do_notice()
{
echo
echo "+--------------- $1"
echo "| To really remove $1 from your system you should also"
echo "| remove the configuration files from the ${CONFDIR} directory."
echo "| Remove the directories in which the files reside as well if empty."
echo "|"
echo "| If you are planning on installing $1 again in the future"
echo "| you can leave it as it is."
echo "|"
echo "| FYI, the following configuration files belong to this package:"
echo "|"
for f in ${FILES}; do
echo "| ${CONFDIR}/$f"
done
echo "+--------------- $1"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ "$PKG_DELETE_EXTRA" != Yes ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

View File

@ -1,100 +0,0 @@
#!/bin/sh
#
# $OpenBSD: INSTALL,v 1.4 2003/10/07 05:48:55 marcm Exp $
P_NAME=libgnome
DIRS='
sound/events
'
FILES='
sound/events/gnome-2.soundlist
sound/events/gtk-events-2.soundlist
'
set -e
PREFIX=${PKG_PREFIX:-/usr/local}
PATH=/bin:/usr/bin:/sbin:/usr/sbin
do_post() {
DEST_PFX=${CONFDIR}
SOURCE_PFX=${PREFIX}/share/examples/${P_NAME}
echo
echo "+--------------- ${P_NAME}"
# install dirs if necessary
for d in ${DIRS}; do
if [ ! -d "${DEST_PFX}/$d" ]; then
install -d ${DEST_PFX}/$d
fi
done
# install or take note of existing config files
for f in ${FILES}; do
if [ -f "${DEST_PFX}/$f" ]; then
OLD_CONFS="${OLD_CONFS} $f"
else
if ! install -m 644 ${SOURCE_PFX}/$f ${DEST_PFX}/$f; then
echo "| ERROR: The following file could not be installed, exiting: ${DEST_PFX}/$f"
exit 1
fi
NEW_CONFS="${NEW_CONFS} $f"
fi
done
# print status report
if [ -n "${NEW_CONFS}" ]; then
echo "| The following NEW configuration files have been installed:"
echo "|"
for f in ${NEW_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
fi
if [ -n "${OLD_CONFS}" ]; then
if [ -n "${NEW_CONFS}" ]; then
echo "|"
fi
echo "| The following OLD configuration files were found and have NOT been"
echo "| overwritten:"
echo "|"
for f in ${OLD_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
echo "|"
echo "| You should however manually compare them to their equivalents in"
echo "|"
echo "| ${SOURCE_PFX}"
echo "|"
echo "| and update your configuration as needed."
fi
echo "+--------------- ${P_NAME}"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
;;
POST-INSTALL)
do_post
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,4 +1,3 @@
@comment $OpenBSD: PFRAG.shared,v 1.5 2004/06/23 03:26:14 marcm Exp $
@comment $OpenBSD: PFRAG.shared,v 1.6 2004/09/15 04:12:56 marcm Exp $
lib/bonobo/monikers/libmoniker_extra_2.so
lib/libgnome-2.so.600.1
DYNLIBDIR(%D/lib)
@lib lib/libgnome-2.so.600.1

View File

@ -1,5 +1,7 @@
@comment $OpenBSD: PLIST,v 1.7 2004/06/23 03:26:14 marcm Exp $
@comment $OpenBSD: PLIST,v 1.8 2004/09/15 04:12:56 marcm Exp $
bin/gnome-open
include/libgnome-2.0/
include/libgnome-2.0/libgnome/
include/libgnome-2.0/libgnome/gnome-config.h
include/libgnome-2.0/libgnome/gnome-exec.h
include/libgnome-2.0/libgnome/gnome-gconf.h
@ -15,14 +17,29 @@ include/libgnome-2.0/libgnome/gnome-url.h
include/libgnome-2.0/libgnome/gnome-util.h
include/libgnome-2.0/libgnome/libgnome.h
include/libgnome-2.0/libgnome/libgnometypebuiltins.h
lib/bonobo/
lib/bonobo/monikers/
lib/bonobo/monikers/libmoniker_extra_2.a
lib/bonobo/monikers/libmoniker_extra_2.la
lib/bonobo/servers/
lib/bonobo/servers/GNOME_Moniker_std.server
lib/libgnome-2.a
lib/libgnome-2.la
lib/pkgconfig/
lib/pkgconfig/libgnome-2.0.pc
@sample ${CONFDIR}/
share/examples/libgnome/
share/examples/libgnome/sound/
@sample ${CONFDIR}/sound/
share/examples/libgnome/sound/events/
@sample ${CONFDIR}/sound/events/
share/examples/libgnome/sound/events/gnome-2.soundlist
@sample ${CONFDIR}/sound/events/gnome-2.soundlist
share/examples/libgnome/sound/events/gtk-events-2.soundlist
@sample ${CONFDIR}/sound/events/gtk-events-2.soundlis
share/gtk-doc/
share/gtk-doc/html/
share/gtk-doc/html/libgnome/
share/gtk-doc/html/libgnome/ch01s02.html
share/gtk-doc/html/libgnome/ch01s03.html
share/gtk-doc/html/libgnome/ch01s04.html
@ -48,48 +65,92 @@ share/gtk-doc/html/libgnome/libgnome.devhelp
share/gtk-doc/html/libgnome/libgnome.html
share/gtk-doc/html/libgnome/right.png
share/gtk-doc/html/libgnome/up.png
share/locale/am/
share/locale/am/LC_MESSAGES/
share/locale/am/LC_MESSAGES/libgnome-2.0.mo
share/locale/ar/
share/locale/ar/LC_MESSAGES/
share/locale/ar/LC_MESSAGES/libgnome-2.0.mo
share/locale/az/
share/locale/az/LC_MESSAGES/
share/locale/az/LC_MESSAGES/libgnome-2.0.mo
share/locale/be/
share/locale/be/LC_MESSAGES/
share/locale/be/LC_MESSAGES/libgnome-2.0.mo
share/locale/bg/LC_MESSAGES/libgnome-2.0.mo
share/locale/bn/
share/locale/bn/LC_MESSAGES/
share/locale/bn/LC_MESSAGES/libgnome-2.0.mo
share/locale/bs/
share/locale/bs/LC_MESSAGES/
share/locale/bs/LC_MESSAGES/libgnome-2.0.mo
share/locale/ca/
share/locale/ca/LC_MESSAGES/
share/locale/ca/LC_MESSAGES/libgnome-2.0.mo
share/locale/cs/LC_MESSAGES/libgnome-2.0.mo
share/locale/cy/
share/locale/cy/LC_MESSAGES/
share/locale/cy/LC_MESSAGES/libgnome-2.0.mo
share/locale/da/LC_MESSAGES/libgnome-2.0.mo
share/locale/de/LC_MESSAGES/libgnome-2.0.mo
share/locale/el/LC_MESSAGES/libgnome-2.0.mo
share/locale/en_CA/
share/locale/en_CA/LC_MESSAGES/
share/locale/en_CA/LC_MESSAGES/libgnome-2.0.mo
share/locale/en_GB/
share/locale/en_GB/LC_MESSAGES/
share/locale/en_GB/LC_MESSAGES/libgnome-2.0.mo
share/locale/es/LC_MESSAGES/libgnome-2.0.mo
share/locale/et/LC_MESSAGES/libgnome-2.0.mo
share/locale/eu/
share/locale/eu/LC_MESSAGES/
share/locale/eu/LC_MESSAGES/libgnome-2.0.mo
share/locale/fa/
share/locale/fa/LC_MESSAGES/
share/locale/fa/LC_MESSAGES/libgnome-2.0.mo
share/locale/fi/LC_MESSAGES/libgnome-2.0.mo
share/locale/fr/LC_MESSAGES/libgnome-2.0.mo
share/locale/ga/
share/locale/ga/LC_MESSAGES/
share/locale/ga/LC_MESSAGES/libgnome-2.0.mo
share/locale/gl/LC_MESSAGES/libgnome-2.0.mo
share/locale/gu/
share/locale/gu/LC_MESSAGES/
share/locale/gu/LC_MESSAGES/libgnome-2.0.mo
share/locale/he/LC_MESSAGES/libgnome-2.0.mo
share/locale/hi/
share/locale/hi/LC_MESSAGES/
share/locale/hi/LC_MESSAGES/libgnome-2.0.mo
share/locale/hr/LC_MESSAGES/libgnome-2.0.mo
share/locale/hu/LC_MESSAGES/libgnome-2.0.mo
share/locale/id/LC_MESSAGES/libgnome-2.0.mo
share/locale/is/
share/locale/is/LC_MESSAGES/
share/locale/is/LC_MESSAGES/libgnome-2.0.mo
share/locale/it/LC_MESSAGES/libgnome-2.0.mo
share/locale/ja/LC_MESSAGES/libgnome-2.0.mo
share/locale/ko/LC_MESSAGES/libgnome-2.0.mo
share/locale/lt/
share/locale/lt/LC_MESSAGES/
share/locale/lt/LC_MESSAGES/libgnome-2.0.mo
share/locale/lv/LC_MESSAGES/libgnome-2.0.mo
share/locale/mk/
share/locale/mk/LC_MESSAGES/
share/locale/mk/LC_MESSAGES/libgnome-2.0.mo
share/locale/ml/
share/locale/ml/LC_MESSAGES/
share/locale/ml/LC_MESSAGES/libgnome-2.0.mo
share/locale/mn/
share/locale/mn/LC_MESSAGES/
share/locale/mn/LC_MESSAGES/libgnome-2.0.mo
share/locale/ms/
share/locale/ms/LC_MESSAGES/
share/locale/ms/LC_MESSAGES/libgnome-2.0.mo
share/locale/nl/LC_MESSAGES/libgnome-2.0.mo
share/locale/nn/LC_MESSAGES/libgnome-2.0.mo
share/locale/no/LC_MESSAGES/libgnome-2.0.mo
share/locale/pa/
share/locale/pa/LC_MESSAGES/
share/locale/pa/LC_MESSAGES/libgnome-2.0.mo
share/locale/pl/LC_MESSAGES/libgnome-2.0.mo
share/locale/pt/LC_MESSAGES/libgnome-2.0.mo
@ -98,20 +159,40 @@ share/locale/ro/LC_MESSAGES/libgnome-2.0.mo
share/locale/ru/LC_MESSAGES/libgnome-2.0.mo
share/locale/sk/LC_MESSAGES/libgnome-2.0.mo
share/locale/sl/LC_MESSAGES/libgnome-2.0.mo
share/locale/sq/
share/locale/sq/LC_MESSAGES/
share/locale/sq/LC_MESSAGES/libgnome-2.0.mo
share/locale/sr/
share/locale/sr/LC_MESSAGES/
share/locale/sr/LC_MESSAGES/libgnome-2.0.mo
share/locale/sr@Latn/
share/locale/sr@Latn/LC_MESSAGES/
share/locale/sr@Latn/LC_MESSAGES/libgnome-2.0.mo
share/locale/sr@ije/
share/locale/sr@ije/LC_MESSAGES/
share/locale/sr@ije/LC_MESSAGES/libgnome-2.0.mo
share/locale/sv/LC_MESSAGES/libgnome-2.0.mo
share/locale/ta/
share/locale/ta/LC_MESSAGES/
share/locale/ta/LC_MESSAGES/libgnome-2.0.mo
share/locale/th/
share/locale/th/LC_MESSAGES/
share/locale/th/LC_MESSAGES/libgnome-2.0.mo
share/locale/tr/LC_MESSAGES/libgnome-2.0.mo
share/locale/uk/LC_MESSAGES/libgnome-2.0.mo
share/locale/vi/
share/locale/vi/LC_MESSAGES/
share/locale/vi/LC_MESSAGES/libgnome-2.0.mo
share/locale/wa/
share/locale/wa/LC_MESSAGES/
share/locale/wa/LC_MESSAGES/libgnome-2.0.mo
share/locale/yi/
share/locale/yi/LC_MESSAGES/
share/locale/yi/LC_MESSAGES/libgnome-2.0.mo
share/locale/zh_CN/LC_MESSAGES/libgnome-2.0.mo
share/locale/zh_TW/LC_MESSAGES/libgnome-2.0.mo
share/schemas/
share/schemas/libgnome/
share/schemas/libgnome/desktop_gnome_accessibility_keyboard.schemas
share/schemas/libgnome/desktop_gnome_accessibility_startup.schemas
share/schemas/libgnome/desktop_gnome_applications_browser.schemas
@ -127,18 +208,5 @@ share/schemas/libgnome/desktop_gnome_peripherals_mouse.schemas
share/schemas/libgnome/desktop_gnome_sound.schemas
share/schemas/libgnome/desktop_gnome_thumbnailers.schemas
share/schemas/libgnome/desktop_gnome_typing_break.schemas
%%SHARED%%
@dirrm share/schemas/libgnome
@dirrm share/gtk-doc/html/libgnome
@dirrm share/examples/libgnome/sound/events
@dirrm share/examples/libgnome/sound
@dirrm share/examples/libgnome
@dirrm include/libgnome-2.0/libgnome
@dirrm include/libgnome-2.0
@exec GCONF_CONFIG_SOURCE=`%D/bin/gconftool-2 --get-default-source` %D/bin/gconftool-2 --makefile-install-rule %D/share/schemas/libgnome/*.schemas > /dev/null
@cwd ${SYSCONFDIR}
@extra gnome/sound/events/gnome-2.soundlist
@extra gnome/sound/events/gtk-events-2.soundlist
@extra gnome/sound/events/
@extra gnome/sound/
@extraunexec rmdir %D/gnome 2>/dev/null || true
%%SHARED%%

View File

@ -1,53 +0,0 @@
#!/bin/sh
#
# $OpenBSD: DEINSTALL,v 1.4 2003/10/07 05:48:55 marcm Exp $
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
FILES='
gnome-vfs-mime-magic
'
do_notice()
{
echo
echo "+--------------- $1"
echo "| To really remove $1 from your system you should also"
echo "| remove the configuration files from the ${CONFDIR} directory."
echo "| Remove the directories in which the files reside as well if empty."
echo "|"
echo "| If you are planning on installing $1 again in the"
echo "| future you can leave it as it is."
echo "|"
echo "| FYI, the following configuration files belong to this package:"
echo "|"
for f in ${FILES}; do
echo "| ${CONFDIR}/$f"
done
echo "+--------------- $1"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ "$PKG_DELETE_EXTRA" != Yes ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

View File

@ -1,99 +0,0 @@
#!/bin/sh
#
# $OpenBSD: INSTALL,v 1.2 2003/06/12 19:52:11 marcm Exp $
P_NAME=gnome-mime-data
DIRS='
.
'
FILES='
gnome-vfs-mime-magic
'
set -e
PREFIX=${PKG_PREFIX:-/usr/local}
PATH=/bin:/usr/bin:/sbin:/usr/sbin
do_post() {
DEST_PFX=${CONFDIR}
SOURCE_PFX=${PREFIX}/share/examples/${P_NAME}
echo
echo "+--------------- ${P_NAME}"
# install dirs if necessary
for d in ${DIRS}; do
if [ ! -d "${DEST_PFX}/$d" ]; then
install -d ${DEST_PFX}/$d
fi
done
# install or take note of existing config files
for f in ${FILES}; do
if [ -f "${DEST_PFX}/$f" ]; then
OLD_CONFS="${OLD_CONFS} $f"
else
if ! install -m 644 ${SOURCE_PFX}/$f ${DEST_PFX}/$f; then
echo "| ERROR: The following file could not be installed, exiting: ${DEST_PFX}/$f"
exit 1
fi
NEW_CONFS="${NEW_CONFS} $f"
fi
done
# print status report
if [ -n "${NEW_CONFS}" ]; then
echo "| The following NEW configuration files have been installed:"
echo "|"
for f in ${NEW_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
fi
if [ -n "${OLD_CONFS}" ]; then
if [ -n "${NEW_CONFS}" ]; then
echo "|"
fi
echo "| The following OLD configuration files were found and have NOT been"
echo "| overwritten:"
echo "|"
for f in ${OLD_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
echo "|"
echo "| You should however manually compare them to their equivalents in"
echo "|"
echo "| ${SOURCE_PFX}"
echo "|"
echo "| and update your configuration as needed."
fi
echo "+--------------- ${P_NAME}"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
;;
POST-INSTALL)
do_post
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,13 +1,12 @@
@comment $OpenBSD: PLIST,v 1.7 2004/02/22 05:33:53 marcm Exp $
@comment $OpenBSD: PLIST,v 1.8 2004/09/15 04:12:56 marcm Exp $
lib/pkgconfig/
lib/pkgconfig/gnome-mime-data-2.0.pc
share/application-registry/
share/application-registry/gnome-vfs.applications
@sample ${SYSCONFDIR}/gnome/
share/examples/gnome-mime-data/
share/examples/gnome-mime-data/gnome-vfs-mime-magic
@sample ${SYSCONFDIR}/gnome/gnome-vfs-mime-magic
share/mime-info/
share/mime-info/gnome-vfs.keys
share/mime-info/gnome-vfs.mime
@dirrm share/mime-info
@dirrm share/examples/gnome-mime-data
@dirrm share/application-registry
@dirrm lib/pkgconfig
@cwd ${SYSCONFDIR}
@extra gnome/gnome-vfs-mime-magic
@extraunexec rmdir %D/gnome 2>/dev/null || true

View File

@ -1,60 +0,0 @@
#!/bin/sh
#
# $OpenBSD: DEINSTALL,v 1.3 2003/08/23 19:51:44 marcm Exp $
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
FILES='
X11/serverconfig/.directory
X11/starthere/.directory
X11/starthere/applications.desktop
X11/starthere/preferences.desktop
X11/starthere/serverconfig.desktop
X11/starthere/sysconfig.desktop
X11/sysconfig/.directory
'
do_notice()
{
echo
echo "+--------------- $1"
echo "| To really remove $1 from your system you should also"
echo "| remove the configuration files from the ${CONFDIR} directory."
echo "| Remove the directories in which the files reside as well if empty."
echo "|"
echo "| If you are planning on installing $1 again in the future"
echo "| you can leave it as it is."
echo "|"
echo "| FYI, the following configuration files belong to this package:"
echo "|"
for f in ${FILES}; do
echo "| ${CONFDIR}/$f"
done
echo "+--------------- $1"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ "$PKG_DELETE_EXTRA" != Yes ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

View File

@ -1,107 +0,0 @@
#!/bin/sh
#
# $OpenBSD: INSTALL,v 1.3 2003/06/12 20:19:38 marcm Exp $
P_NAME=nautilus
DIRS='
X11/serverconfig
X11/starthere
X11/sysconfig
'
FILES='
X11/serverconfig/.directory
X11/starthere/.directory
X11/starthere/applications.desktop
X11/starthere/preferences.desktop
X11/starthere/serverconfig.desktop
X11/starthere/sysconfig.desktop
X11/sysconfig/.directory
'
set -e
PREFIX=${PKG_PREFIX:-/usr/local}
PATH=/bin:/usr/bin:/sbin:/usr/sbin
do_post() {
DEST_PFX=${CONFDIR}
SOURCE_PFX=${PREFIX}/share/examples/${P_NAME}
echo
echo "+--------------- ${P_NAME}"
# install dirs if necessary
for d in ${DIRS}; do
if [ ! -d "${DEST_PFX}/$d" ]; then
install -d ${DEST_PFX}/$d
fi
done
# install or take note of existing config files
for f in ${FILES}; do
if [ -f "${DEST_PFX}/$f" ]; then
OLD_CONFS="${OLD_CONFS} $f"
else
if ! install -m 644 ${SOURCE_PFX}/$f ${DEST_PFX}/$f; then
echo "| ERROR: The following file could not be installed, exiting: ${DEST_PFX}/$f"
exit 1
fi
NEW_CONFS="${NEW_CONFS} $f"
fi
done
# print status report
if [ -n "${NEW_CONFS}" ]; then
echo "| The following NEW configuration files have been installed:"
echo "|"
for f in ${NEW_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
fi
if [ -n "${OLD_CONFS}" ]; then
if [ -n "${NEW_CONFS}" ]; then
echo "|"
fi
echo "| The following OLD configuration files were found and have NOT been"
echo "| overwritten:"
echo "|"
for f in ${OLD_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
echo "|"
echo "| You should however manually compare them to their equivalents in"
echo "|"
echo "| ${SOURCE_PFX}"
echo "|"
echo "| and update your configuration as needed."
fi
echo "+--------------- ${P_NAME}"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
;;
POST-INSTALL)
do_post
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,10 +1,9 @@
@comment $OpenBSD: PFRAG.shared,v 1.4 2004/06/23 03:26:18 marcm Exp $
@comment $OpenBSD: PFRAG.shared,v 1.5 2004/09/15 04:12:56 marcm Exp $
lib/bonobo/libnautilus-emblem-view.so
lib/bonobo/libnautilus-history-view.so
lib/bonobo/libnautilus-image-properties-view.so
lib/bonobo/libnautilus-notes-view.so
lib/libnautilus-adapter.so.2.0
lib/libnautilus-extension.so.1.0
lib/libnautilus-private.so.2.0
lib/libnautilus.so.2.0
DYNLIBDIR(%D/lib)
@lib lib/libnautilus-adapter.so.2.0
@lib lib/libnautilus-extension.so.1.0
@lib lib/libnautilus-private.so.2.0
@lib lib/libnautilus.so.2.0

View File

@ -1,6 +1,7 @@
@comment $OpenBSD: PLIST,v 1.10 2004/06/23 03:26:18 marcm Exp $
@comment $OpenBSD: PLIST,v 1.11 2004/09/15 04:12:56 marcm Exp $
bin/nautilus
bin/nautilus-file-management-properties
include/libnautilus/
include/libnautilus/libnautilus.h
include/libnautilus/nautilus-bonobo-ui.h
include/libnautilus/nautilus-clipboard.h
@ -12,6 +13,8 @@ include/libnautilus/nautilus-undo.h
include/libnautilus/nautilus-view-component.h
include/libnautilus/nautilus-view-standard-main.h
include/libnautilus/nautilus-view.h
include/nautilus/
include/nautilus/libnautilus-extension/
include/nautilus/libnautilus-extension/nautilus-column-provider.h
include/nautilus/libnautilus-extension/nautilus-column.h
include/nautilus/libnautilus-extension/nautilus-extension-types.h
@ -21,10 +24,12 @@ include/nautilus/libnautilus-extension/nautilus-menu-item.h
include/nautilus/libnautilus-extension/nautilus-menu-provider.h
include/nautilus/libnautilus-extension/nautilus-property-page-provider.h
include/nautilus/libnautilus-extension/nautilus-property-page.h
lib/bonobo/
lib/bonobo/libnautilus-emblem-view.la
lib/bonobo/libnautilus-history-view.la
lib/bonobo/libnautilus-image-properties-view.la
lib/bonobo/libnautilus-notes-view.la
lib/bonobo/servers/
lib/bonobo/servers/Nautilus_ComponentAdapterFactory_std.server
lib/bonobo/servers/Nautilus_Control_throbber.server
lib/bonobo/servers/Nautilus_View_emblem.server
@ -42,18 +47,40 @@ lib/pkgconfig/libnautilus.pc
libexec/nautilus-adapter
libexec/nautilus-text-view
libexec/nautilus-throbber
share/applications/
share/applications/nautilus-computer.desktop
share/applications/nautilus-home.desktop
share/applications/nautilus.desktop
share/applications/network-scheme.desktop
share/control-center-2.0/
share/control-center-2.0/capplets/
share/control-center-2.0/capplets/nautilus-file-management-properties.desktop
@sample ${CONFDIR}/
@sample ${CONFDIR}/X11/
@sample ${CONFDIR}/X11/serverconfig/
@sample ${CONFDIR}/X11/starthere/
@sample ${CONFDIR}/X11/sysconfig/
share/examples/nautilus/
share/examples/nautilus/X11/
share/examples/nautilus/X11/serverconfig/
share/examples/nautilus/X11/serverconfig/.directory
@sample ${CONFDIR}/X11/serverconfig/.directory
share/examples/nautilus/X11/starthere/
share/examples/nautilus/X11/starthere/.directory
@sample ${CONFDIR}/X11/starthere/.directory
share/examples/nautilus/X11/starthere/applications.desktop
@sample ${CONFDIR}/X11/starthere/applications.desktop
share/examples/nautilus/X11/starthere/preferences.desktop
@sample ${CONFDIR}/X11/starthere/preferences.desktop
share/examples/nautilus/X11/starthere/serverconfig.desktop
@sample ${CONFDIR}/X11/starthere/serverconfig.desktop
share/examples/nautilus/X11/starthere/sysconfig.desktop
@sample ${CONFDIR}/X11/starthere/sysconfig.desktop
share/examples/nautilus/X11/sysconfig/
share/examples/nautilus/X11/sysconfig/.directory
@sample ${CONFDIR}/X11/sysconfig/.directory
share/gnome-2.0/
share/gnome-2.0/ui/
share/gnome-2.0/ui/nautilus-clipboard-ui.xml
share/gnome-2.0/ui/nautilus-desktop-icon-view-ui.xml
share/gnome-2.0/ui/nautilus-directory-view-ui.xml
@ -64,53 +91,104 @@ share/gnome-2.0/ui/nautilus-search-list-view-ui.xml
share/gnome-2.0/ui/nautilus-shell-ui.xml
share/gnome-2.0/ui/nautilus-spatial-window-ui.xml
share/gnome-2.0/ui/nautilus-text-view-ui.xml
share/idl/
share/idl/nautilus-distributed-undo.idl
share/idl/nautilus-view-component.idl
share/locale/af/
share/locale/af/LC_MESSAGES/
share/locale/af/LC_MESSAGES/nautilus.mo
share/locale/am/
share/locale/am/LC_MESSAGES/
share/locale/am/LC_MESSAGES/nautilus.mo
share/locale/ar/
share/locale/ar/LC_MESSAGES/
share/locale/ar/LC_MESSAGES/nautilus.mo
share/locale/az/
share/locale/az/LC_MESSAGES/
share/locale/az/LC_MESSAGES/nautilus.mo
share/locale/be/
share/locale/be/LC_MESSAGES/
share/locale/be/LC_MESSAGES/nautilus.mo
share/locale/bg/LC_MESSAGES/nautilus.mo
share/locale/bn/
share/locale/bn/LC_MESSAGES/
share/locale/bn/LC_MESSAGES/nautilus.mo
share/locale/ca/
share/locale/ca/LC_MESSAGES/
share/locale/ca/LC_MESSAGES/nautilus.mo
share/locale/cs/LC_MESSAGES/nautilus.mo
share/locale/cy/
share/locale/cy/LC_MESSAGES/
share/locale/cy/LC_MESSAGES/nautilus.mo
share/locale/da/LC_MESSAGES/nautilus.mo
share/locale/de/LC_MESSAGES/nautilus.mo
share/locale/el/LC_MESSAGES/nautilus.mo
share/locale/en_CA/
share/locale/en_CA/LC_MESSAGES/
share/locale/en_CA/LC_MESSAGES/nautilus.mo
share/locale/en_GB/
share/locale/en_GB/LC_MESSAGES/
share/locale/en_GB/LC_MESSAGES/nautilus.mo
share/locale/es/LC_MESSAGES/nautilus.mo
share/locale/et/LC_MESSAGES/nautilus.mo
share/locale/eu/
share/locale/eu/LC_MESSAGES/
share/locale/eu/LC_MESSAGES/nautilus.mo
share/locale/fa/
share/locale/fa/LC_MESSAGES/
share/locale/fa/LC_MESSAGES/nautilus.mo
share/locale/fi/LC_MESSAGES/nautilus.mo
share/locale/fr/LC_MESSAGES/nautilus.mo
share/locale/ga/
share/locale/ga/LC_MESSAGES/
share/locale/ga/LC_MESSAGES/nautilus.mo
share/locale/gl/LC_MESSAGES/nautilus.mo
share/locale/gu/
share/locale/gu/LC_MESSAGES/
share/locale/gu/LC_MESSAGES/nautilus.mo
share/locale/he/LC_MESSAGES/nautilus.mo
share/locale/hi/
share/locale/hi/LC_MESSAGES/
share/locale/hi/LC_MESSAGES/nautilus.mo
share/locale/hr/LC_MESSAGES/nautilus.mo
share/locale/hu/LC_MESSAGES/nautilus.mo
share/locale/id/LC_MESSAGES/nautilus.mo
share/locale/is/
share/locale/is/LC_MESSAGES/
share/locale/is/LC_MESSAGES/nautilus.mo
share/locale/it/LC_MESSAGES/nautilus.mo
share/locale/ja/LC_MESSAGES/nautilus.mo
share/locale/ko/LC_MESSAGES/nautilus.mo
share/locale/li/
share/locale/li/LC_MESSAGES/
share/locale/li/LC_MESSAGES/nautilus.mo
share/locale/lt/
share/locale/lt/LC_MESSAGES/
share/locale/lt/LC_MESSAGES/nautilus.mo
share/locale/lv/LC_MESSAGES/nautilus.mo
share/locale/mi/
share/locale/mi/LC_MESSAGES/
share/locale/mi/LC_MESSAGES/nautilus.mo
share/locale/mk/
share/locale/mk/LC_MESSAGES/
share/locale/mk/LC_MESSAGES/nautilus.mo
share/locale/ml/
share/locale/ml/LC_MESSAGES/
share/locale/ml/LC_MESSAGES/nautilus.mo
share/locale/mn/
share/locale/mn/LC_MESSAGES/
share/locale/mn/LC_MESSAGES/nautilus.mo
share/locale/ms/
share/locale/ms/LC_MESSAGES/
share/locale/ms/LC_MESSAGES/nautilus.mo
share/locale/ne/
share/locale/ne/LC_MESSAGES/
share/locale/ne/LC_MESSAGES/nautilus.mo
share/locale/nl/LC_MESSAGES/nautilus.mo
share/locale/nn/LC_MESSAGES/nautilus.mo
share/locale/no/LC_MESSAGES/nautilus.mo
share/locale/pa/
share/locale/pa/LC_MESSAGES/
share/locale/pa/LC_MESSAGES/nautilus.mo
share/locale/pl/LC_MESSAGES/nautilus.mo
share/locale/pt/LC_MESSAGES/nautilus.mo
@ -119,25 +197,46 @@ share/locale/ro/LC_MESSAGES/nautilus.mo
share/locale/ru/LC_MESSAGES/nautilus.mo
share/locale/sk/LC_MESSAGES/nautilus.mo
share/locale/sl/LC_MESSAGES/nautilus.mo
share/locale/sq/
share/locale/sq/LC_MESSAGES/
share/locale/sq/LC_MESSAGES/nautilus.mo
share/locale/sr/
share/locale/sr/LC_MESSAGES/
share/locale/sr/LC_MESSAGES/nautilus.mo
share/locale/sr@Latn/
share/locale/sr@Latn/LC_MESSAGES/
share/locale/sr@Latn/LC_MESSAGES/nautilus.mo
share/locale/sr@ije/
share/locale/sr@ije/LC_MESSAGES/
share/locale/sr@ije/LC_MESSAGES/nautilus.mo
share/locale/sv/LC_MESSAGES/nautilus.mo
share/locale/th/
share/locale/th/LC_MESSAGES/
share/locale/th/LC_MESSAGES/nautilus.mo
share/locale/tk/
share/locale/tk/LC_MESSAGES/
share/locale/tk/LC_MESSAGES/nautilus.mo
share/locale/tr/LC_MESSAGES/nautilus.mo
share/locale/uk/LC_MESSAGES/nautilus.mo
share/locale/vi/
share/locale/vi/LC_MESSAGES/
share/locale/vi/LC_MESSAGES/nautilus.mo
share/locale/wa/
share/locale/wa/LC_MESSAGES/
share/locale/wa/LC_MESSAGES/nautilus.mo
share/locale/yi/
share/locale/yi/LC_MESSAGES/
share/locale/yi/LC_MESSAGES/nautilus.mo
share/locale/zh_CN/LC_MESSAGES/nautilus.mo
share/locale/zh_TW/LC_MESSAGES/nautilus.mo
share/nautilus/
share/nautilus/browser.xml
share/nautilus/glade/
share/nautilus/glade/nautilus-bookmarks-window.glade
share/nautilus/glade/nautilus-file-management-properties.glade
share/nautilus/nautilus-extras.placeholder
share/nautilus/nautilus-suggested.placeholder
share/nautilus/patterns/
share/nautilus/patterns/.striated.png
share/nautilus/patterns/blue_gray_rough.png
share/nautilus/patterns/blue_ridge.png
@ -173,20 +272,26 @@ share/nautilus/patterns/wavy_white.png
share/nautilus/starthere-link.desktop
share/nautilus/starthere.desktop
share/nautilus/static_bookmarks.xml
share/pixmaps/
share/pixmaps/nautilus/
share/pixmaps/nautilus/Search.png
share/pixmaps/nautilus/audio.png
share/pixmaps/nautilus/backgrounds.png
share/pixmaps/nautilus/chit_frame.png
share/pixmaps/nautilus/colors.png
share/pixmaps/nautilus/crux_eggplant/
share/pixmaps/nautilus/crux_eggplant/Search.png
share/pixmaps/nautilus/crux_eggplant/crux_eggplant.xml
share/pixmaps/nautilus/crux_teal/
share/pixmaps/nautilus/crux_teal/Search.png
share/pixmaps/nautilus/crux_teal/crux_teal.xml
share/pixmaps/nautilus/default/
share/pixmaps/nautilus/default/Search.png
share/pixmaps/nautilus/default/default.xml
share/pixmaps/nautilus/default/side_bar_image.png
share/pixmaps/nautilus/emblems.png
share/pixmaps/nautilus/erase.png
share/pixmaps/nautilus/gnome/
share/pixmaps/nautilus/gnome/Services.png
share/pixmaps/nautilus/gnome/gnome.xml
share/pixmaps/nautilus/knob.png
@ -197,47 +302,16 @@ share/pixmaps/nautilus/nautilus-mini-logo.png
share/pixmaps/nautilus/nautilus-server-connect.png
share/pixmaps/nautilus/note-indicator.png
share/pixmaps/nautilus/side_bar_image.png
share/pixmaps/nautilus/sierra/
share/pixmaps/nautilus/sierra/green_weave.png
share/pixmaps/nautilus/sierra/sierra.xml
share/pixmaps/nautilus/tahoe/
share/pixmaps/nautilus/tahoe/bluewall.png
share/pixmaps/nautilus/tahoe/tahoe.xml
share/pixmaps/nautilus/text-selection-frame.png
share/pixmaps/nautilus/thumbnail_frame.png
share/schemas/
share/schemas/nautilus/
share/schemas/nautilus/apps_nautilus_preferences.schemas
%%SHARED%%
@dirrm share/schemas/nautilus
@dirrm share/pixmaps/nautilus/tahoe
@dirrm share/pixmaps/nautilus/sierra
@dirrm share/pixmaps/nautilus/gnome
@dirrm share/pixmaps/nautilus/default
@dirrm share/pixmaps/nautilus/crux_teal
@dirrm share/pixmaps/nautilus/crux_eggplant
@dirrm share/pixmaps/nautilus
@dirrm share/nautilus/patterns
@dirrm share/nautilus/glade
@dirrm share/nautilus
@dirrm share/examples/nautilus/X11/sysconfig
@dirrm share/examples/nautilus/X11/starthere
@dirrm share/examples/nautilus/X11/serverconfig
@dirrm share/examples/nautilus/X11
@dirrm share/examples/nautilus
@dirrm share/control-center-2.0/capplets
@dirrm share/control-center-2.0
@dirrm share/applications
@dirrm include/nautilus/libnautilus-extension
@dirrm include/nautilus
@dirrm include/libnautilus
@exec GCONF_CONFIG_SOURCE=`%D/bin/gconftool-2 --get-default-source` %D/bin/gconftool-2 --makefile-install-rule %D/share/schemas/nautilus/*.schemas > /dev/null
@cwd ${SYSCONFDIR}
@extra gnome/X11/serverconfig/.directory
@extra gnome/X11/serverconfig/
@extra gnome/X11/starthere/.directory
@extra gnome/X11/starthere/applications.desktop
@extra gnome/X11/starthere/preferences.desktop
@extra gnome/X11/starthere/serverconfig.desktop
@extra gnome/X11/starthere/sysconfig.desktop
@extra gnome/X11/starthere/
@extra gnome/X11/sysconfig/.directory
@extra gnome/X11/sysconfig/
@extra gnome/X11/
@extraunexec rmdir %D/gnome 2>/dev/null || true
%%SHARED%%

View File

@ -1,15 +1 @@
This package contains the session manager for the GNOME desktop.
This is the foundation of the GNOME desktop environment and this package
is also responsible for installing a basic set of GNOME utilities
(window manager, file manager, applets, etc) to make up a minimal GNOME
environment.
Other recommended packages for GNOME include:
x11/gnome/users-guide - general Gnome documentation
x11/gnome/utils - a set of simple utilities for GNOME
x11/xscreensaver - a screen saver and locker
To run the GNOME environment, simply start "gnome-session" from
either your ~/.xinitrc or ~/.xsession file.

View File

@ -1,66 +1,121 @@
@comment $OpenBSD: PLIST,v 1.8 2004/06/23 03:26:19 marcm Exp $
@comment $OpenBSD: PLIST,v 1.9 2004/09/15 04:12:55 marcm Exp $
bin/gnome-session
bin/gnome-session-properties
bin/gnome-session-remove
bin/gnome-session-save
bin/gnome-smproxy
bin/gnome-wm
man/man1/gnome-session-save.1
man/man1/gnome-session.1
man/man1/gnome-smproxy.1
man/man1/gnome-wm.1
man/man1/session-properties.1
man/man5/default.session.5
@man man/man1/gnome-session-save.1
@man man/man1/gnome-session.1
@man man/man1/gnome-smproxy.1
@man man/man1/gnome-wm.1
@man man/man1/session-properties.1
@man man/man5/default.session.5
share/control-center-2.0/
share/control-center-2.0/capplets/
share/control-center-2.0/capplets/session-properties.desktop
share/gnome/
share/gnome/default.session
share/gnome/default.wm
share/locale/af/
share/locale/af/LC_MESSAGES/
share/locale/af/LC_MESSAGES/gnome-session-2.0.mo
share/locale/am/
share/locale/am/LC_MESSAGES/
share/locale/am/LC_MESSAGES/gnome-session-2.0.mo
share/locale/ar/
share/locale/ar/LC_MESSAGES/
share/locale/ar/LC_MESSAGES/gnome-session-2.0.mo
share/locale/az/
share/locale/az/LC_MESSAGES/
share/locale/az/LC_MESSAGES/gnome-session-2.0.mo
share/locale/be/
share/locale/be/LC_MESSAGES/
share/locale/be/LC_MESSAGES/gnome-session-2.0.mo
share/locale/bg/LC_MESSAGES/gnome-session-2.0.mo
share/locale/bn/
share/locale/bn/LC_MESSAGES/
share/locale/bn/LC_MESSAGES/gnome-session-2.0.mo
share/locale/bs/
share/locale/bs/LC_MESSAGES/
share/locale/bs/LC_MESSAGES/gnome-session-2.0.mo
share/locale/ca/
share/locale/ca/LC_MESSAGES/
share/locale/ca/LC_MESSAGES/gnome-session-2.0.mo
share/locale/cs/LC_MESSAGES/gnome-session-2.0.mo
share/locale/cy/
share/locale/cy/LC_MESSAGES/
share/locale/cy/LC_MESSAGES/gnome-session-2.0.mo
share/locale/da/LC_MESSAGES/gnome-session-2.0.mo
share/locale/de/LC_MESSAGES/gnome-session-2.0.mo
share/locale/el/LC_MESSAGES/gnome-session-2.0.mo
share/locale/en_CA/
share/locale/en_CA/LC_MESSAGES/
share/locale/en_CA/LC_MESSAGES/gnome-session-2.0.mo
share/locale/en_GB/
share/locale/en_GB/LC_MESSAGES/
share/locale/en_GB/LC_MESSAGES/gnome-session-2.0.mo
share/locale/eo/LC_MESSAGES/gnome-session-2.0.mo
share/locale/es/LC_MESSAGES/gnome-session-2.0.mo
share/locale/et/LC_MESSAGES/gnome-session-2.0.mo
share/locale/eu/
share/locale/eu/LC_MESSAGES/
share/locale/eu/LC_MESSAGES/gnome-session-2.0.mo
share/locale/fa/
share/locale/fa/LC_MESSAGES/
share/locale/fa/LC_MESSAGES/gnome-session-2.0.mo
share/locale/fi/LC_MESSAGES/gnome-session-2.0.mo
share/locale/fr/LC_MESSAGES/gnome-session-2.0.mo
share/locale/ga/
share/locale/ga/LC_MESSAGES/
share/locale/ga/LC_MESSAGES/gnome-session-2.0.mo
share/locale/gl/LC_MESSAGES/gnome-session-2.0.mo
share/locale/gu/
share/locale/gu/LC_MESSAGES/
share/locale/gu/LC_MESSAGES/gnome-session-2.0.mo
share/locale/he/LC_MESSAGES/gnome-session-2.0.mo
share/locale/hi/
share/locale/hi/LC_MESSAGES/
share/locale/hi/LC_MESSAGES/gnome-session-2.0.mo
share/locale/hr/LC_MESSAGES/gnome-session-2.0.mo
share/locale/hu/LC_MESSAGES/gnome-session-2.0.mo
share/locale/id/LC_MESSAGES/gnome-session-2.0.mo
share/locale/is/
share/locale/is/LC_MESSAGES/
share/locale/is/LC_MESSAGES/gnome-session-2.0.mo
share/locale/it/LC_MESSAGES/gnome-session-2.0.mo
share/locale/ja/LC_MESSAGES/gnome-session-2.0.mo
share/locale/kn/
share/locale/kn/LC_MESSAGES/
share/locale/kn/LC_MESSAGES/gnome-session-2.0.mo
share/locale/ko/LC_MESSAGES/gnome-session-2.0.mo
share/locale/lt/
share/locale/lt/LC_MESSAGES/
share/locale/lt/LC_MESSAGES/gnome-session-2.0.mo
share/locale/lv/LC_MESSAGES/gnome-session-2.0.mo
share/locale/mi/
share/locale/mi/LC_MESSAGES/
share/locale/mi/LC_MESSAGES/gnome-session-2.0.mo
share/locale/mk/
share/locale/mk/LC_MESSAGES/
share/locale/mk/LC_MESSAGES/gnome-session-2.0.mo
share/locale/ml/
share/locale/ml/LC_MESSAGES/
share/locale/ml/LC_MESSAGES/gnome-session-2.0.mo
share/locale/mn/
share/locale/mn/LC_MESSAGES/
share/locale/mn/LC_MESSAGES/gnome-session-2.0.mo
share/locale/mr/
share/locale/mr/LC_MESSAGES/
share/locale/mr/LC_MESSAGES/gnome-session-2.0.mo
share/locale/ms/
share/locale/ms/LC_MESSAGES/
share/locale/ms/LC_MESSAGES/gnome-session-2.0.mo
share/locale/nl/LC_MESSAGES/gnome-session-2.0.mo
share/locale/nn/LC_MESSAGES/gnome-session-2.0.mo
share/locale/no/LC_MESSAGES/gnome-session-2.0.mo
share/locale/pa/
share/locale/pa/LC_MESSAGES/
share/locale/pa/LC_MESSAGES/gnome-session-2.0.mo
share/locale/pl/LC_MESSAGES/gnome-session-2.0.mo
share/locale/pt/LC_MESSAGES/gnome-session-2.0.mo
@ -69,22 +124,36 @@ share/locale/ro/LC_MESSAGES/gnome-session-2.0.mo
share/locale/ru/LC_MESSAGES/gnome-session-2.0.mo
share/locale/sk/LC_MESSAGES/gnome-session-2.0.mo
share/locale/sl/LC_MESSAGES/gnome-session-2.0.mo
share/locale/sq/
share/locale/sq/LC_MESSAGES/
share/locale/sq/LC_MESSAGES/gnome-session-2.0.mo
share/locale/sr/
share/locale/sr/LC_MESSAGES/
share/locale/sr/LC_MESSAGES/gnome-session-2.0.mo
share/locale/sr@Latn/
share/locale/sr@Latn/LC_MESSAGES/
share/locale/sr@Latn/LC_MESSAGES/gnome-session-2.0.mo
share/locale/sv/LC_MESSAGES/gnome-session-2.0.mo
share/locale/ta/
share/locale/ta/LC_MESSAGES/
share/locale/ta/LC_MESSAGES/gnome-session-2.0.mo
share/locale/th/
share/locale/th/LC_MESSAGES/
share/locale/th/LC_MESSAGES/gnome-session-2.0.mo
share/locale/tr/LC_MESSAGES/gnome-session-2.0.mo
share/locale/uk/LC_MESSAGES/gnome-session-2.0.mo
share/locale/vi/
share/locale/vi/LC_MESSAGES/
share/locale/vi/LC_MESSAGES/gnome-session-2.0.mo
share/locale/wa/
share/locale/wa/LC_MESSAGES/
share/locale/wa/LC_MESSAGES/gnome-session-2.0.mo
share/locale/zh_CN/LC_MESSAGES/gnome-session-2.0.mo
share/locale/zh_TW/LC_MESSAGES/gnome-session-2.0.mo
share/pixmaps/
share/pixmaps/splash/
share/pixmaps/splash/gnome-splash.png
share/schemas/
share/schemas/gnome-session/
share/schemas/gnome-session/gnome-session.schemas
@dirrm share/schemas/gnome-session
@dirrm share/pixmaps/splash
@dirrm share/control-center-2.0/capplets
@dirrm share/control-center-2.0
@exec GCONF_CONFIG_SOURCE=`%D/bin/gconftool-2 --get-default-source` %D/bin/gconftool-2 --makefile-install-rule %D/share/schemas/gnome-session/*.schemas > /dev/null

View File

@ -1,61 +0,0 @@
#!/bin/sh
#
# $OpenBSD: DEINSTALL,v 1.4 2003/10/07 05:48:56 marcm Exp $
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
FILES='
gnome-vfs-2.0/modules/default-modules.conf
gnome-vfs-2.0/modules/cdda-module.conf
gnome-vfs-2.0/vfolders/applications-all-users.vfolder-info
gnome-vfs-2.0/vfolders/favorites.vfolder-info
gnome-vfs-2.0/vfolders/network.vfolder-info
gnome-vfs-2.0/vfolders/preferences-all-users.vfolder-info
gnome-vfs-2.0/vfolders/server-settings.vfolder-info
gnome-vfs-2.0/vfolders/start-here.vfolder-info
gnome-vfs-2.0/vfolders/system-settings.vfolder-info
'
do_notice()
{
echo
echo "+--------------- $1"
echo "| To really remove $1 from your system you should also"
echo "| remove the configuration files from the ${CONFDIR} directory."
echo "| Remove the directories in which the files reside as well if empty."
echo "| If you are planning on installing $1 again in the future"
echo "| you can leave it as it is."
echo "|"
echo "| FYI, the following configuration files belongs to this package:"
echo "|"
for f in ${FILES}; do
echo "| ${CONFDIR}/$f"
done
echo "+--------------- $1"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ "$PKG_DELETE_EXTRA" != Yes ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

View File

@ -1,108 +0,0 @@
#!/bin/sh
#
# $OpenBSD: INSTALL,v 1.3 2003/06/12 19:53:49 marcm Exp $
P_NAME=gnome-vfs2
DIRS='
gnome-vfs-2.0/modules
gnome-vfs-2.0/vfolders
'
FILES='
gnome-vfs-2.0/modules/default-modules.conf
gnome-vfs-2.0/modules/cdda-module.conf
gnome-vfs-2.0/vfolders/applications-all-users.vfolder-info
gnome-vfs-2.0/vfolders/favorites.vfolder-info
gnome-vfs-2.0/vfolders/network.vfolder-info
gnome-vfs-2.0/vfolders/preferences-all-users.vfolder-info
gnome-vfs-2.0/vfolders/server-settings.vfolder-info
gnome-vfs-2.0/vfolders/start-here.vfolder-info
gnome-vfs-2.0/vfolders/system-settings.vfolder-info
'
set -e
PREFIX=${PKG_PREFIX:-/usr/local}
PATH=/bin:/usr/bin:/sbin:/usr/sbin
do_post() {
DEST_PFX=${CONFDIR}
SOURCE_PFX=${PREFIX}/share/examples/${P_NAME}
echo
echo "+--------------- ${P_NAME}"
# install dirs if necessary
for d in ${DIRS}; do
if [ ! -d "${DEST_PFX}/$d" ]; then
install -d ${DEST_PFX}/$d
fi
done
# install or take note of existing config files
for f in ${FILES}; do
if [ -f "${DEST_PFX}/$f" ]; then
OLD_CONFS="${OLD_CONFS} $f"
else
if ! install -m 644 ${SOURCE_PFX}/$f ${DEST_PFX}/$f; then
echo "| ERROR: The following file could not be installed, exiting: ${DEST_PFX}/$f"
exit 1
fi
NEW_CONFS="${NEW_CONFS} $f"
fi
done
# print status report
if [ -n "${NEW_CONFS}" ]; then
echo "| The following NEW configuration files have been installed:"
echo "|"
for f in ${NEW_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
fi
if [ -n "${OLD_CONFS}" ]; then
if [ -n "${NEW_CONFS}" ]; then
echo "|"
fi
echo "| The following OLD configuration files were found and have NOT been"
echo "| overwritten:"
echo "|"
for f in ${OLD_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
echo "|"
echo "| You should however manually compare them to their equivalents in"
echo "|"
echo "| ${SOURCE_PFX}"
echo "|"
echo "| and update your configuration as needed."
fi
echo "+--------------- ${P_NAME}"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
;;
POST-INSTALL)
do_post
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PFRAG.shared,v 1.5 2004/06/23 03:26:21 marcm Exp $
@comment $OpenBSD: PFRAG.shared,v 1.6 2004/09/15 04:12:56 marcm Exp $
lib/bonobo/monikers/libmoniker_gnome_vfs_std.so
lib/gnome-vfs-2.0/modules/libbzip2.so
lib/gnome-vfs-2.0/modules/libcdda.so
@ -14,5 +14,4 @@ lib/gnome-vfs-2.0/modules/libvfolder-desktop.so
lib/gnome-vfs-2.0/modules/libvfs-pipe.so
lib/gnome-vfs-2.0/modules/libvfs-test.so
lib/gnome-vfs-2.0/modules/libvfs-translate.so
lib/libgnomevfs-2.so.600.1
DYNLIBDIR(%D/lib)
@lib lib/libgnomevfs-2.so.600.1

View File

@ -1,9 +1,11 @@
@comment $OpenBSD: PLIST,v 1.10 2004/06/23 03:26:21 marcm Exp $
@comment $OpenBSD: PLIST,v 1.11 2004/09/15 04:12:56 marcm Exp $
bin/gnomevfs-cat
bin/gnomevfs-copy
bin/gnomevfs-info
bin/gnomevfs-ls
bin/gnomevfs-mkdir
include/gnome-vfs-2.0/
include/gnome-vfs-2.0/libgnomevfs/
include/gnome-vfs-2.0/libgnomevfs/gnome-vfs-application-registry.h
include/gnome-vfs-2.0/libgnomevfs/gnome-vfs-async-ops.h
include/gnome-vfs-2.0/libgnomevfs/gnome-vfs-cancellation.h
@ -32,6 +34,8 @@ include/gnome-vfs-2.0/libgnomevfs/gnome-vfs-volume-monitor.h
include/gnome-vfs-2.0/libgnomevfs/gnome-vfs-volume.h
include/gnome-vfs-2.0/libgnomevfs/gnome-vfs-xfer.h
include/gnome-vfs-2.0/libgnomevfs/gnome-vfs.h
include/gnome-vfs-module-2.0/
include/gnome-vfs-module-2.0/libgnomevfs/
include/gnome-vfs-module-2.0/libgnomevfs/gnome-vfs-cancellable-ops.h
include/gnome-vfs-module-2.0/libgnomevfs/gnome-vfs-inet-connection.h
include/gnome-vfs-module-2.0/libgnomevfs/gnome-vfs-method.h
@ -45,11 +49,17 @@ include/gnome-vfs-module-2.0/libgnomevfs/gnome-vfs-socket-buffer.h
include/gnome-vfs-module-2.0/libgnomevfs/gnome-vfs-socket.h
include/gnome-vfs-module-2.0/libgnomevfs/gnome-vfs-ssl.h
include/gnome-vfs-module-2.0/libgnomevfs/gnome-vfs-transform.h
lib/bonobo/
lib/bonobo/monikers/
lib/bonobo/monikers/libmoniker_gnome_vfs_std.a
lib/bonobo/monikers/libmoniker_gnome_vfs_std.la
lib/bonobo/servers/
lib/bonobo/servers/GNOME_VFS_Daemon.server
lib/bonobo/servers/GNOME_VFS_Moniker_std.server
lib/gnome-vfs-2.0/
lib/gnome-vfs-2.0/include/
lib/gnome-vfs-2.0/include/gnome-vfs-file-size.h
lib/gnome-vfs-2.0/modules/
lib/gnome-vfs-2.0/modules/libbzip2.a
lib/gnome-vfs-2.0/modules/libbzip2.la
lib/gnome-vfs-2.0/modules/libcdda.a
@ -91,6 +101,9 @@ lib/libgnomevfs-2.a
lib/libgnomevfs-2.la
lib/pkgconfig/gnome-vfs-2.0.pc
lib/pkgconfig/gnome-vfs-module-2.0.pc
lib/vfs/
lib/vfs/2.0/
lib/vfs/2.0/extfs/
lib/vfs/2.0/extfs/README
lib/vfs/2.0/extfs/a
lib/vfs/2.0/extfs/ar
@ -109,16 +122,37 @@ lib/vfs/2.0/extfs/trpm
lib/vfs/2.0/extfs/zip
lib/vfs/2.0/extfs/zoo
libexec/gnome-vfs-daemon
@sample ${CONFDIR}/
share/examples/gnome-vfs2/
share/examples/gnome-vfs2/gnome-vfs-2.0/
@sample ${CONFDIR}/gnome-vfs-2.0/
share/examples/gnome-vfs2/gnome-vfs-2.0/modules/
@sample ${CONFDIR}/gnome-vfs-2.0/modules/
share/examples/gnome-vfs2/gnome-vfs-2.0/modules/cdda-module.conf
@sample ${CONFDIR}/gnome-vfs-2.0/modules/cdda-module.conf
share/examples/gnome-vfs2/gnome-vfs-2.0/modules/default-modules.conf
@sample ${CONFDIR}/gnome-vfs-2.0/modules/default-modules.conf
share/examples/gnome-vfs2/gnome-vfs-2.0/modules/ssl-modules.conf
@sample ${CONFDIR}/gnome-vfs-2.0/modules/ssl-modules.conf
share/examples/gnome-vfs2/gnome-vfs-2.0/vfolders/
@sample ${CONFDIR}/gnome-vfs-2.0/vfolders/
share/examples/gnome-vfs2/gnome-vfs-2.0/vfolders/applications-all-users.vfolder-info
@sample ${CONFDIR}/gnome-vfs-2.0/vfolders/applications-all-users.vfolder-info
share/examples/gnome-vfs2/gnome-vfs-2.0/vfolders/favorites.vfolder-info
@sample ${CONFDIR}/gnome-vfs-2.0/vfolders/favorites.vfolder-info
share/examples/gnome-vfs2/gnome-vfs-2.0/vfolders/network.vfolder-info
@sample ${CONFDIR}/gnome-vfs-2.0/vfolders/network.vfolder-info
share/examples/gnome-vfs2/gnome-vfs-2.0/vfolders/preferences-all-users.vfolder-info
@sample ${CONFDIR}/gnome-vfs-2.0/vfolders/preferences-all-users.vfolder-info
share/examples/gnome-vfs2/gnome-vfs-2.0/vfolders/server-settings.vfolder-info
@sample ${CONFDIR}/gnome-vfs-2.0/vfolders/server-settings.vfolder-info
share/examples/gnome-vfs2/gnome-vfs-2.0/vfolders/start-here.vfolder-info
@sample ${CONFDIR}/gnome-vfs-2.0/vfolders/start-here.vfolder-info
share/examples/gnome-vfs2/gnome-vfs-2.0/vfolders/system-settings.vfolder-info
@sample ${CONFDIR}/gnome-vfs-2.0/vfolders/system-settings.vfolder-info
share/gtk-doc/
share/gtk-doc/html/
share/gtk-doc/html/gnome-vfs-2.0/
share/gtk-doc/html/gnome-vfs-2.0/about.html
share/gtk-doc/html/gnome-vfs-2.0/advanced-operations.html
share/gtk-doc/html/gnome-vfs-2.0/ch08.html
@ -171,53 +205,105 @@ share/gtk-doc/html/gnome-vfs-2.0/mime-registry.html
share/gtk-doc/html/gnome-vfs-2.0/modules.html
share/gtk-doc/html/gnome-vfs-2.0/right.png
share/gtk-doc/html/gnome-vfs-2.0/up.png
share/locale/af/
share/locale/af/LC_MESSAGES/
share/locale/af/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/am/
share/locale/am/LC_MESSAGES/
share/locale/am/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/ar/
share/locale/ar/LC_MESSAGES/
share/locale/ar/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/az/
share/locale/az/LC_MESSAGES/
share/locale/az/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/be/
share/locale/be/LC_MESSAGES/
share/locale/be/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/bg/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/bn/
share/locale/bn/LC_MESSAGES/
share/locale/bn/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/bs/
share/locale/bs/LC_MESSAGES/
share/locale/bs/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/ca/
share/locale/ca/LC_MESSAGES/
share/locale/ca/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/cs/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/cy/
share/locale/cy/LC_MESSAGES/
share/locale/cy/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/da/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/de/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/el/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/en_CA/
share/locale/en_CA/LC_MESSAGES/
share/locale/en_CA/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/en_GB/
share/locale/en_GB/LC_MESSAGES/
share/locale/en_GB/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/eo/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/es/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/et/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/eu/
share/locale/eu/LC_MESSAGES/
share/locale/eu/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/fa/
share/locale/fa/LC_MESSAGES/
share/locale/fa/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/fi/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/fr/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/ga/
share/locale/ga/LC_MESSAGES/
share/locale/ga/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/gl/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/gu/
share/locale/gu/LC_MESSAGES/
share/locale/gu/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/he/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/hi/
share/locale/hi/LC_MESSAGES/
share/locale/hi/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/hr/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/hu/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/id/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/is/
share/locale/is/LC_MESSAGES/
share/locale/is/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/it/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/ja/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/ko/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/li/
share/locale/li/LC_MESSAGES/
share/locale/li/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/lt/
share/locale/lt/LC_MESSAGES/
share/locale/lt/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/lv/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/mk/
share/locale/mk/LC_MESSAGES/
share/locale/mk/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/ml/
share/locale/ml/LC_MESSAGES/
share/locale/ml/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/mn/
share/locale/mn/LC_MESSAGES/
share/locale/mn/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/mr/
share/locale/mr/LC_MESSAGES/
share/locale/mr/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/ms/
share/locale/ms/LC_MESSAGES/
share/locale/ms/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/ne/
share/locale/ne/LC_MESSAGES/
share/locale/ne/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/nl/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/nn/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/no/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/pa/
share/locale/pa/LC_MESSAGES/
share/locale/pa/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/pl/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/pt/LC_MESSAGES/gnome-vfs-2.0.mo
@ -226,58 +312,43 @@ share/locale/ro/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/ru/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/sk/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/sl/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/sq/
share/locale/sq/LC_MESSAGES/
share/locale/sq/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/sr/
share/locale/sr/LC_MESSAGES/
share/locale/sr/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/sr@Latn/
share/locale/sr@Latn/LC_MESSAGES/
share/locale/sr@Latn/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/sr@ije/
share/locale/sr@ije/LC_MESSAGES/
share/locale/sr@ije/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/sv/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/ta/
share/locale/ta/LC_MESSAGES/
share/locale/ta/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/th/
share/locale/th/LC_MESSAGES/
share/locale/th/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/tr/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/uk/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/vi/
share/locale/vi/LC_MESSAGES/
share/locale/vi/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/wa/
share/locale/wa/LC_MESSAGES/
share/locale/wa/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/yi/
share/locale/yi/LC_MESSAGES/
share/locale/yi/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/zh_CN/LC_MESSAGES/gnome-vfs-2.0.mo
share/locale/zh_TW/LC_MESSAGES/gnome-vfs-2.0.mo
share/schemas/
share/schemas/gnome-vfs2/
share/schemas/gnome-vfs2/desktop_default_applications.schemas
share/schemas/gnome-vfs2/desktop_gnome_url_handlers.schemas
share/schemas/gnome-vfs2/system_http_proxy.schemas
share/schemas/gnome-vfs2/system_smb.schemas
%%SHARED%%
@dirrm share/schemas/gnome-vfs2
@dirrm share/schemas
@dirrm share/locale/bs/LC_MESSAGES
@dirrm share/locale/bs
@dirrm share/gtk-doc/html/gnome-vfs-2.0
@dirrm share/examples/gnome-vfs2/gnome-vfs-2.0/vfolders
@dirrm share/examples/gnome-vfs2/gnome-vfs-2.0/modules
@dirrm share/examples/gnome-vfs2/gnome-vfs-2.0
@dirrm share/examples/gnome-vfs2
@dirrm lib/vfs/2.0/extfs
@dirrm lib/vfs/2.0
@dirrm lib/vfs
@dirrm lib/gnome-vfs-2.0/modules
@dirrm lib/gnome-vfs-2.0/include
@dirrm lib/gnome-vfs-2.0
@dirrm include/gnome-vfs-module-2.0/libgnomevfs
@dirrm include/gnome-vfs-module-2.0
@dirrm include/gnome-vfs-2.0/libgnomevfs
@dirrm include/gnome-vfs-2.0
@comment @exec mkdir -p %D/doc
@comment @dirrm doc
@exec GCONF_CONFIG_SOURCE=`%D/bin/gconftool-2 --get-default-source` %D/bin/gconftool-2 --makefile-install-rule %D/share/schemas/gnome-vfs2/*.schemas > /dev/null
@cwd ${SYSCONFDIR}
@extra gnome/gnome-vfs-2.0/modules/default-modules.conf
@extra gnome/gnome-vfs-2.0/modules/cdda-module.conf
@extra gnome/gnome-vfs-2.0/vfolders/applications-all-users.vfolder-info
@extra gnome/gnome-vfs-2.0/vfolders/favorites.vfolder-info
@extra gnome/gnome-vfs-2.0/vfolders/network.vfolder-info
@extra gnome/gnome-vfs-2.0/vfolders/preferences-all-users.vfolder-info
@extra gnome/gnome-vfs-2.0/vfolders/server-settings.vfolder-info
@extra gnome/gnome-vfs-2.0/vfolders/start-here.vfolder-info
@extra gnome/gnome-vfs-2.0/vfolders/system-settings.vfolder-info
@extra gnome/gnome-vfs-2.0/modules/
@extra gnome/gnome-vfs-2.0/vfolders/
@extra gnome/gnome-vfs-2.0/
@extraunexec rmdir %D/gnome 2>/dev/null || true
%%SHARED%%